var N = null;var searchIndex = {};
searchIndex["byteorder"]={"doc":"This crate provides convenience methods for encoding and decoding numbers in either [big-endian or little-endian order].","items":[[4,"BigEndian","byteorder","Defines big-endian serialization.",N,N],[4,"LittleEndian","","Defines little-endian serialization.",N,N],[6,"BE","","A type alias for [`BigEndian`].",N,N],[6,"LE","","A type alias for [`LittleEndian`].",N,N],[6,"NetworkEndian","","Defines network byte order serialization.",N,N],[6,"NativeEndian","","Defines system native-endian serialization.",N,N],[8,"ReadBytesExt","","Extends [`Read`] with methods for reading numbers. (For `std::io`.)",N,N],[11,"read_u8","","Reads an unsigned 8 bit integer from the underlying reader.",0,[[["self"]],["result",["u8"]]]],[11,"read_i8","","Reads a signed 8 bit integer from the underlying reader.",0,[[["self"]],["result",["i8"]]]],[11,"read_u16","","Reads an unsigned 16 bit integer from the underlying reader.",0,[[["self"]],["result",["u16"]]]],[11,"read_i16","","Reads a signed 16 bit integer from the underlying reader.",0,[[["self"]],["result",["i16"]]]],[11,"read_u24","","Reads an unsigned 24 bit integer from the underlying reader.",0,[[["self"]],["result",["u32"]]]],[11,"read_i24","","Reads a signed 24 bit integer from the underlying reader.",0,[[["self"]],["result",["i32"]]]],[11,"read_u32","","Reads an unsigned 32 bit integer from the underlying reader.",0,[[["self"]],["result",["u32"]]]],[11,"read_i32","","Reads a signed 32 bit integer from the underlying reader.",0,[[["self"]],["result",["i32"]]]],[11,"read_u48","","Reads an unsigned 48 bit integer from the underlying reader.",0,[[["self"]],["result",["u64"]]]],[11,"read_i48","","Reads a signed 48 bit integer from the underlying reader.",0,[[["self"]],["result",["i64"]]]],[11,"read_u64","","Reads an unsigned 64 bit integer from the underlying reader.",0,[[["self"]],["result",["u64"]]]],[11,"read_i64","","Reads a signed 64 bit integer from the underlying reader.",0,[[["self"]],["result",["i64"]]]],[11,"read_uint","","Reads an unsigned n-bytes integer from the underlying reader.",0,[[["self"],["usize"]],["result",["u64"]]]],[11,"read_int","","Reads a signed n-bytes integer from the underlying reader.",0,[[["self"],["usize"]],["result",["i64"]]]],[11,"read_f32","","Reads a IEEE754 single-precision (4 bytes) floating point number from the underlying reader.",0,[[["self"]],["result",["f32"]]]],[11,"read_f64","","Reads a IEEE754 double-precision (8 bytes) floating point number from the underlying reader.",0,[[["self"]],["result",["f64"]]]],[11,"read_u16_into","","Reads a sequence of unsigned 16 bit integers from the underlying reader.",0,N],[11,"read_u32_into","","Reads a sequence of unsigned 32 bit integers from the underlying reader.",0,N],[11,"read_u64_into","","Reads a sequence of unsigned 64 bit integers from the underlying reader.",0,N],[11,"read_i16_into","","Reads a sequence of signed 16 bit integers from the underlying reader.",0,N],[11,"read_i32_into","","Reads a sequence of signed 32 bit integers from the underlying reader.",0,N],[11,"read_i64_into","","Reads a sequence of signed 64 bit integers from the underlying reader.",0,N],[11,"read_f32_into","","Reads a sequence of IEEE754 single-precision (4 bytes) floating point numbers from the underlying reader.",0,N],[11,"read_f32_into_unchecked","","DEPRECATED.",0,N],[11,"read_f64_into","","Reads a sequence of IEEE754 double-precision (8 bytes) floating point numbers from the underlying reader.",0,N],[11,"read_f64_into_unchecked","","DEPRECATED.",0,N],[8,"WriteBytesExt","","Extends [`Write`] with methods for writing numbers. (For `std::io`.)",N,N],[11,"write_u8","","Writes an unsigned 8 bit integer to the underlying writer.",1,[[["self"],["u8"]],["result"]]],[11,"write_i8","","Writes a signed 8 bit integer to the underlying writer.",1,[[["self"],["i8"]],["result"]]],[11,"write_u16","","Writes an unsigned 16 bit integer to the underlying writer.",1,[[["self"],["u16"]],["result"]]],[11,"write_i16","","Writes a signed 16 bit integer to the underlying writer.",1,[[["self"],["i16"]],["result"]]],[11,"write_u24","","Writes an unsigned 24 bit integer to the underlying writer.",1,[[["self"],["u32"]],["result"]]],[11,"write_i24","","Writes a signed 24 bit integer to the underlying writer.",1,[[["self"],["i32"]],["result"]]],[11,"write_u32","","Writes an unsigned 32 bit integer to the underlying writer.",1,[[["self"],["u32"]],["result"]]],[11,"write_i32","","Writes a signed 32 bit integer to the underlying writer.",1,[[["self"],["i32"]],["result"]]],[11,"write_u48","","Writes an unsigned 48 bit integer to the underlying writer.",1,[[["self"],["u64"]],["result"]]],[11,"write_i48","","Writes a signed 48 bit integer to the underlying writer.",1,[[["self"],["i64"]],["result"]]],[11,"write_u64","","Writes an unsigned 64 bit integer to the underlying writer.",1,[[["self"],["u64"]],["result"]]],[11,"write_i64","","Writes a signed 64 bit integer to the underlying writer.",1,[[["self"],["i64"]],["result"]]],[11,"write_uint","","Writes an unsigned n-bytes integer to the underlying writer.",1,[[["self"],["u64"],["usize"]],["result"]]],[11,"write_int","","Writes a signed n-bytes integer to the underlying writer.",1,[[["self"],["i64"],["usize"]],["result"]]],[11,"write_f32","","Writes a IEEE754 single-precision (4 bytes) floating point number to the underlying writer.",1,[[["self"],["f32"]],["result"]]],[11,"write_f64","","Writes a IEEE754 double-precision (8 bytes) floating point number to the underlying writer.",1,[[["self"],["f64"]],["result"]]],[8,"ByteOrder","","`ByteOrder` describes types that can serialize integers as bytes.",N,N],[10,"read_u16","","Reads an unsigned 16 bit integer from `buf`.",2,N],[11,"read_u24","","Reads an unsigned 24 bit integer from `buf`, stored in u32.",2,N],[10,"read_u32","","Reads an unsigned 32 bit integer from `buf`.",2,N],[11,"read_u48","","Reads an unsigned 48 bit integer from `buf`, stored in u64.",2,N],[10,"read_u64","","Reads an unsigned 64 bit integer from `buf`.",2,N],[10,"read_uint","","Reads an unsigned n-bytes integer from `buf`.",2,N],[10,"write_u16","","Writes an unsigned 16 bit integer `n` to `buf`.",2,N],[11,"write_u24","","Writes an unsigned 24 bit integer `n` to `buf`, stored in u32.",2,N],[10,"write_u32","","Writes an unsigned 32 bit integer `n` to `buf`.",2,N],[11,"write_u48","","Writes an unsigned 48 bit integer `n` to `buf`, stored in u64.",2,N],[10,"write_u64","","Writes an unsigned 64 bit integer `n` to `buf`.",2,N],[10,"write_uint","","Writes an unsigned integer `n` to `buf` using only `nbytes`.",2,N],[11,"read_i16","","Reads a signed 16 bit integer from `buf`.",2,N],[11,"read_i24","","Reads a signed 24 bit integer from `buf`, stored in i32.",2,N],[11,"read_i32","","Reads a signed 32 bit integer from `buf`.",2,N],[11,"read_i48","","Reads a signed 48 bit integer from `buf`, stored in i64.",2,N],[11,"read_i64","","Reads a signed 64 bit integer from `buf`.",2,N],[11,"read_int","","Reads a signed n-bytes integer from `buf`.",2,N],[11,"read_f32","","Reads a IEEE754 single-precision (4 bytes) floating point number.",2,N],[11,"read_f64","","Reads a IEEE754 double-precision (8 bytes) floating point number.",2,N],[11,"write_i16","","Writes a signed 16 bit integer `n` to `buf`.",2,N],[11,"write_i24","","Writes a signed 24 bit integer `n` to `buf`, stored in i32.",2,N],[11,"write_i32","","Writes a signed 32 bit integer `n` to `buf`.",2,N],[11,"write_i48","","Writes a signed 48 bit integer `n` to `buf`, stored in i64.",2,N],[11,"write_i64","","Writes a signed 64 bit integer `n` to `buf`.",2,N],[11,"write_int","","Writes a signed integer `n` to `buf` using only `nbytes`.",2,N],[11,"write_f32","","Writes a IEEE754 single-precision (4 bytes) floating point number.",2,N],[11,"write_f64","","Writes a IEEE754 double-precision (8 bytes) floating point number.",2,N],[10,"read_u16_into","","Reads unsigned 16 bit integers from `src` into `dst`.",2,N],[10,"read_u32_into","","Reads unsigned 32 bit integers from `src` into `dst`.",2,N],[10,"read_u64_into","","Reads unsigned 64 bit integers from `src` into `dst`.",2,N],[11,"read_i16_into","","Reads signed 16 bit integers from `src` to `dst`.",2,N],[11,"read_i32_into","","Reads signed 32 bit integers from `src` into `dst`.",2,N],[11,"read_i64_into","","Reads signed 64 bit integers from `src` into `dst`.",2,N],[11,"read_f32_into_unchecked","","Reads IEEE754 single-precision (4 bytes) floating point numbers from `src` into `dst`.",2,N],[11,"read_f64_into_unchecked","","Reads IEEE754 single-precision (4 bytes) floating point numbers from `src` into `dst`.",2,N],[10,"write_u16_into","","Writes unsigned 16 bit integers from `src` into `dst`.",2,N],[10,"write_u32_into","","Writes unsigned 32 bit integers from `src` into `dst`.",2,N],[10,"write_u64_into","","Writes unsigned 64 bit integers from `src` into `dst`.",2,N],[11,"write_i16_into","","Writes signed 16 bit integers from `src` into `dst`.",2,N],[11,"write_i32_into","","Writes signed 32 bit integers from `src` into `dst`.",2,N],[11,"write_i64_into","","Writes signed 64 bit integers from `src` into `dst`.",2,N],[11,"write_f32_into","","Writes IEEE754 single-precision (4 bytes) floating point numbers from `src` into `dst`.",2,N],[11,"write_f64_into","","Writes IEEE754 double-precision (8 bytes) floating point numbers from `src` into `dst`.",2,N],[10,"from_slice_u16","","Converts the given slice of unsigned 16 bit integers to a particular endianness.",2,N],[10,"from_slice_u32","","Converts the given slice of unsigned 32 bit integers to a particular endianness.",2,N],[10,"from_slice_u64","","Converts the given slice of unsigned 64 bit integers to a particular endianness.",2,N],[11,"from_slice_i16","","Converts the given slice of signed 16 bit integers to a particular endianness.",2,N],[11,"from_slice_i32","","Converts the given slice of signed 32 bit integers to a particular endianness.",2,N],[11,"from_slice_i64","","Converts the given slice of signed 64 bit integers to a particular endianness.",2,N],[10,"from_slice_f32","","Converts the given slice of IEEE754 single-precision (4 bytes) floating point numbers to a particular endianness.",2,N],[10,"from_slice_f64","","Converts the given slice of IEEE754 double-precision (8 bytes) floating point numbers to a particular endianness.",2,N],[11,"clone","","",3,[[["self"]],["bigendian"]]],[11,"fmt","","",3,[[["self"],["formatter"]],["result"]]],[11,"hash","","",3,N],[11,"cmp","","",3,[[["self"],["bigendian"]],["ordering"]]],[11,"eq","","",3,[[["self"],["bigendian"]],["bool"]]],[11,"partial_cmp","","",3,[[["self"],["bigendian"]],["option",["ordering"]]]],[11,"default","","",3,[[],["bigendian"]]],[11,"clone","","",4,[[["self"]],["littleendian"]]],[11,"fmt","","",4,[[["self"],["formatter"]],["result"]]],[11,"hash","","",4,N],[11,"cmp","","",4,[[["self"],["littleendian"]],["ordering"]]],[11,"eq","","",4,[[["self"],["littleendian"]],["bool"]]],[11,"partial_cmp","","",4,[[["self"],["littleendian"]],["option",["ordering"]]]],[11,"default","","",4,[[],["littleendian"]]],[11,"read_u16","","",3,N],[11,"read_u32","","",3,N],[11,"read_u64","","",3,N],[11,"read_uint","","",3,N],[11,"write_u16","","",3,N],[11,"write_u32","","",3,N],[11,"write_u64","","",3,N],[11,"write_uint","","",3,N],[11,"read_u16_into","","",3,N],[11,"read_u32_into","","",3,N],[11,"read_u64_into","","",3,N],[11,"write_u16_into","","",3,N],[11,"write_u32_into","","",3,N],[11,"write_u64_into","","",3,N],[11,"from_slice_u16","","",3,N],[11,"from_slice_u32","","",3,N],[11,"from_slice_u64","","",3,N],[11,"from_slice_f32","","",3,N],[11,"from_slice_f64","","",3,N],[11,"read_u16","","",4,N],[11,"read_u32","","",4,N],[11,"read_u64","","",4,N],[11,"read_uint","","",4,N],[11,"write_u16","","",4,N],[11,"write_u32","","",4,N],[11,"write_u64","","",4,N],[11,"write_uint","","",4,N],[11,"read_u16_into","","",4,N],[11,"read_u32_into","","",4,N],[11,"read_u64_into","","",4,N],[11,"write_u16_into","","",4,N],[11,"write_u32_into","","",4,N],[11,"write_u64_into","","",4,N],[11,"from_slice_u16","","",4,N],[11,"from_slice_u32","","",4,N],[11,"from_slice_u64","","",4,N],[11,"from_slice_f32","","",4,N],[11,"from_slice_f64","","",4,N],[11,"read_u8","","Reads an unsigned 8 bit integer from the underlying reader.",0,[[["self"]],["result",["u8"]]]],[11,"read_i8","","Reads a signed 8 bit integer from the underlying reader.",0,[[["self"]],["result",["i8"]]]],[11,"read_u16","","Reads an unsigned 16 bit integer from the underlying reader.",0,[[["self"]],["result",["u16"]]]],[11,"read_i16","","Reads a signed 16 bit integer from the underlying reader.",0,[[["self"]],["result",["i16"]]]],[11,"read_u24","","Reads an unsigned 24 bit integer from the underlying reader.",0,[[["self"]],["result",["u32"]]]],[11,"read_i24","","Reads a signed 24 bit integer from the underlying reader.",0,[[["self"]],["result",["i32"]]]],[11,"read_u32","","Reads an unsigned 32 bit integer from the underlying reader.",0,[[["self"]],["result",["u32"]]]],[11,"read_i32","","Reads a signed 32 bit integer from the underlying reader.",0,[[["self"]],["result",["i32"]]]],[11,"read_u48","","Reads an unsigned 48 bit integer from the underlying reader.",0,[[["self"]],["result",["u64"]]]],[11,"read_i48","","Reads a signed 48 bit integer from the underlying reader.",0,[[["self"]],["result",["i64"]]]],[11,"read_u64","","Reads an unsigned 64 bit integer from the underlying reader.",0,[[["self"]],["result",["u64"]]]],[11,"read_i64","","Reads a signed 64 bit integer from the underlying reader.",0,[[["self"]],["result",["i64"]]]],[11,"read_uint","","Reads an unsigned n-bytes integer from the underlying reader.",0,[[["self"],["usize"]],["result",["u64"]]]],[11,"read_int","","Reads a signed n-bytes integer from the underlying reader.",0,[[["self"],["usize"]],["result",["i64"]]]],[11,"read_f32","","Reads a IEEE754 single-precision (4 bytes) floating point number from the underlying reader.",0,[[["self"]],["result",["f32"]]]],[11,"read_f64","","Reads a IEEE754 double-precision (8 bytes) floating point number from the underlying reader.",0,[[["self"]],["result",["f64"]]]],[11,"read_u16_into","","Reads a sequence of unsigned 16 bit integers from the underlying reader.",0,N],[11,"read_u32_into","","Reads a sequence of unsigned 32 bit integers from the underlying reader.",0,N],[11,"read_u64_into","","Reads a sequence of unsigned 64 bit integers from the underlying reader.",0,N],[11,"read_i16_into","","Reads a sequence of signed 16 bit integers from the underlying reader.",0,N],[11,"read_i32_into","","Reads a sequence of signed 32 bit integers from the underlying reader.",0,N],[11,"read_i64_into","","Reads a sequence of signed 64 bit integers from the underlying reader.",0,N],[11,"read_f32_into","","Reads a sequence of IEEE754 single-precision (4 bytes) floating point numbers from the underlying reader.",0,N],[11,"read_f32_into_unchecked","","DEPRECATED.",0,N],[11,"read_f64_into","","Reads a sequence of IEEE754 double-precision (8 bytes) floating point numbers from the underlying reader.",0,N],[11,"read_f64_into_unchecked","","DEPRECATED.",0,N],[11,"write_u8","","Writes an unsigned 8 bit integer to the underlying writer.",1,[[["self"],["u8"]],["result"]]],[11,"write_i8","","Writes a signed 8 bit integer to the underlying writer.",1,[[["self"],["i8"]],["result"]]],[11,"write_u16","","Writes an unsigned 16 bit integer to the underlying writer.",1,[[["self"],["u16"]],["result"]]],[11,"write_i16","","Writes a signed 16 bit integer to the underlying writer.",1,[[["self"],["i16"]],["result"]]],[11,"write_u24","","Writes an unsigned 24 bit integer to the underlying writer.",1,[[["self"],["u32"]],["result"]]],[11,"write_i24","","Writes a signed 24 bit integer to the underlying writer.",1,[[["self"],["i32"]],["result"]]],[11,"write_u32","","Writes an unsigned 32 bit integer to the underlying writer.",1,[[["self"],["u32"]],["result"]]],[11,"write_i32","","Writes a signed 32 bit integer to the underlying writer.",1,[[["self"],["i32"]],["result"]]],[11,"write_u48","","Writes an unsigned 48 bit integer to the underlying writer.",1,[[["self"],["u64"]],["result"]]],[11,"write_i48","","Writes a signed 48 bit integer to the underlying writer.",1,[[["self"],["i64"]],["result"]]],[11,"write_u64","","Writes an unsigned 64 bit integer to the underlying writer.",1,[[["self"],["u64"]],["result"]]],[11,"write_i64","","Writes a signed 64 bit integer to the underlying writer.",1,[[["self"],["i64"]],["result"]]],[11,"write_uint","","Writes an unsigned n-bytes integer to the underlying writer.",1,[[["self"],["u64"],["usize"]],["result"]]],[11,"write_int","","Writes a signed n-bytes integer to the underlying writer.",1,[[["self"],["i64"],["usize"]],["result"]]],[11,"write_f32","","Writes a IEEE754 single-precision (4 bytes) floating point number to the underlying writer.",1,[[["self"],["f32"]],["result"]]],[11,"write_f64","","Writes a IEEE754 double-precision (8 bytes) floating point number to the underlying writer.",1,[[["self"],["f64"]],["result"]]]],"paths":[[8,"ReadBytesExt"],[8,"WriteBytesExt"],[8,"ByteOrder"],[4,"BigEndian"],[4,"LittleEndian"]]};
searchIndex["parity_wasm"]={"doc":"WebAssembly format library","items":[[5,"peek_size","parity_wasm","Returns size of the module in the provided stream",N,N],[0,"elements","","Elements of the WebAssembly binary format.",N,N],[3,"Module","parity_wasm::elements","WebAssembly module",N,N],[3,"FunctionSection","","Section with function signatures definition.",N,N],[3,"CodeSection","","Section with function bodies of the module.",N,N],[3,"MemorySection","","Section with table definition (currently only one entry is allowed).",N,N],[3,"DataSection","","Data entries definitions.",N,N],[3,"ImportSection","","Section of the imports definition.",N,N],[3,"ExportSection","","List of exports definition.",N,N],[3,"GlobalSection","","Globals definition section.",N,N],[3,"TypeSection","","Section with type declarations",N,N],[3,"ElementSection","","Element entries section.",N,N],[3,"TableSection","","Section with table definition (currently only one is allowed).",N,N],[3,"CustomSection","","Custom section",N,N],[3,"ImportEntry","","Import entry.",N,N],[3,"ResizableLimits","","Memory limits",N,N],[3,"MemoryType","","Memory entry.",N,N],[3,"TableType","","Table entry",N,N],[3,"GlobalType","","Global definition struct",N,N],[3,"ExportEntry","","Export entry.",N,N],[3,"GlobalEntry","","Global entry in the module.",N,N],[3,"VarUint32","","Unsigned variable-length integer, limited to 32 bits, represented by at most 5 bytes that may contain padding 0x80 bytes.",N,N],[3,"VarUint7","","7-bit unsigned integer, encoded in LEB128 (always 1 byte length)",N,N],[3,"Uint8","","8-bit unsigned integer, NOT encoded in LEB128; it's just a single byte.",N,N],[3,"VarUint1","","VarUint1, 1-bit value (0/1)",N,N],[3,"VarInt7","","7-bit signed integer, encoded in LEB128 (always 1 byte length)",N,N],[3,"Uint32","","32-bit unsigned integer, encoded in little endian",N,N],[3,"VarInt32","","32-bit signed integer, encoded in LEB128 (can be 1-5 bytes length)",N,N],[3,"VarInt64","","64-bit signed integer, encoded in LEB128 (can be 1-9 bytes length)",N,N],[3,"Uint64","","64-bit unsigned integer, encoded in little endian",N,N],[3,"VarUint64","","Unsigned variable-length integer, limited to 64 bits, represented by at most 9 bytes that may contain padding 0x80 bytes.",N,N],[3,"CountedList","","List for reading sequence of elements typed `T`, given they are preceded by length (serialized as VarUint32)",N,N],[3,"CountedWriter","","Helper struct to write payload which is preceded by it's own length in bytes.",N,N],[3,"CountedListWriter","","Helper struct to write series of `T` preceded by the length of the sequence serialized as VarUint32",N,N],[12,"0","","",0,N],[12,"1","","",0,N],[3,"FunctionType","","Function signature type.",N,N],[3,"Instructions","","List of instructions (usually inside a block section).",N,N],[3,"InitExpr","","Initialization expression.",N,N],[3,"Func","","Function signature (type reference)",N,N],[3,"FuncBody","","Function body definition.",N,N],[3,"Local","","Local definition inside the function body.",N,N],[3,"ElementSegment","","Entry in the element section.",N,N],[3,"DataSegment","","Data segment definition.",N,N],[3,"IndexMap","","A map from non-contiguous `u32` keys to values of type `T`, which is serialized and deserialized ascending order of the keys. Normally used for relative dense maps with occasional \"holes\", and stored as an array.",N,N],[3,"ModuleNameSection","","The name of this module.",N,N],[3,"FunctionNameSection","","The names of the functions in this module.",N,N],[3,"LocalNameSection","","The names of the local variables in this module's functions.",N,N],[3,"RelocSection","","Relocation information.",N,N],[3,"Unparsed","","Unparsed part of the module/section",N,N],[12,"0","","",1,N],[4,"ImportCountType","","Type of the import entry to count",N,N],[13,"Function","","Count functions",2,N],[13,"Global","","Count globals",2,N],[13,"Table","","Count tables",2,N],[13,"Memory","","Count memories",2,N],[4,"Section","","Section in the WebAssembly module.",N,N],[13,"Unparsed","","Section is unparsed.",3,N],[12,"id","parity_wasm::elements::Section","id of the unparsed section",3,N],[12,"payload","","raw bytes of the unparsed section",3,N],[13,"Custom","parity_wasm::elements","Custom section (`id=0`)",3,N],[13,"Type","","Types section",3,N],[13,"Import","","Import section",3,N],[13,"Function","","Function signatures section",3,N],[13,"Table","","Table definition section",3,N],[13,"Memory","","Memory definition section",3,N],[13,"Global","","Global entries section",3,N],[13,"Export","","Export definitions",3,N],[13,"Start","","Entry reference of the module",3,N],[13,"Element","","Elements section",3,N],[13,"Code","","Function bodies section",3,N],[13,"Data","","Data definition section",3,N],[13,"Name","","Name section.",3,N],[13,"Reloc","","Relocation section.",3,N],[4,"External","","External to local binding.",N,N],[13,"Function","","Binds to function with index.",4,N],[13,"Table","","Describes local table definition to be imported as.",4,N],[13,"Memory","","Describes local memory definition to be imported as.",4,N],[13,"Global","","Describes local global entry to be imported as.",4,N],[4,"Internal","","Internal reference of the exported entry.",N,N],[13,"Function","","Function reference.",5,N],[13,"Table","","Table reference.",5,N],[13,"Memory","","Memory reference.",5,N],[13,"Global","","Global reference.",5,N],[4,"Type","","Type definition in types section. Currently can be only of the function type.",N,N],[13,"Function","","Function type.",6,N],[4,"ValueType","","Value type.",N,N],[13,"I32","","32-bit signed integer",7,N],[13,"I64","","64-bit signed integer",7,N],[13,"F32","","32-bit float",7,N],[13,"F64","","64-bit float",7,N],[13,"V128","","128-bit SIMD register",7,N],[4,"BlockType","","Block type which is basically `ValueType` + NoResult (to define blocks that have no return type)",N,N],[13,"Value","","Value-type specified block type",8,N],[13,"NoResult","","No specified block type",8,N],[4,"TableElementType","","Table element type.",N,N],[13,"AnyFunc","","A reference to a function with any signature.",9,N],[4,"Instruction","","Instruction",N,N],[13,"Unreachable","","",10,N],[13,"Nop","","",10,N],[13,"Block","","",10,N],[13,"Loop","","",10,N],[13,"If","","",10,N],[13,"Else","","",10,N],[13,"End","","",10,N],[13,"Br","","",10,N],[13,"BrIf","","",10,N],[13,"BrTable","","",10,N],[13,"Return","","",10,N],[13,"Call","","",10,N],[13,"CallIndirect","","",10,N],[13,"Drop","","",10,N],[13,"Select","","",10,N],[13,"GetLocal","","",10,N],[13,"SetLocal","","",10,N],[13,"TeeLocal","","",10,N],[13,"GetGlobal","","",10,N],[13,"SetGlobal","","",10,N],[13,"I32Load","","",10,N],[13,"I64Load","","",10,N],[13,"F32Load","","",10,N],[13,"F64Load","","",10,N],[13,"I32Load8S","","",10,N],[13,"I32Load8U","","",10,N],[13,"I32Load16S","","",10,N],[13,"I32Load16U","","",10,N],[13,"I64Load8S","","",10,N],[13,"I64Load8U","","",10,N],[13,"I64Load16S","","",10,N],[13,"I64Load16U","","",10,N],[13,"I64Load32S","","",10,N],[13,"I64Load32U","","",10,N],[13,"I32Store","","",10,N],[13,"I64Store","","",10,N],[13,"F32Store","","",10,N],[13,"F64Store","","",10,N],[13,"I32Store8","","",10,N],[13,"I32Store16","","",10,N],[13,"I64Store8","","",10,N],[13,"I64Store16","","",10,N],[13,"I64Store32","","",10,N],[13,"CurrentMemory","","",10,N],[13,"GrowMemory","","",10,N],[13,"I32Const","","",10,N],[13,"I64Const","","",10,N],[13,"F32Const","","",10,N],[13,"F64Const","","",10,N],[13,"I32Eqz","","",10,N],[13,"I32Eq","","",10,N],[13,"I32Ne","","",10,N],[13,"I32LtS","","",10,N],[13,"I32LtU","","",10,N],[13,"I32GtS","","",10,N],[13,"I32GtU","","",10,N],[13,"I32LeS","","",10,N],[13,"I32LeU","","",10,N],[13,"I32GeS","","",10,N],[13,"I32GeU","","",10,N],[13,"I64Eqz","","",10,N],[13,"I64Eq","","",10,N],[13,"I64Ne","","",10,N],[13,"I64LtS","","",10,N],[13,"I64LtU","","",10,N],[13,"I64GtS","","",10,N],[13,"I64GtU","","",10,N],[13,"I64LeS","","",10,N],[13,"I64LeU","","",10,N],[13,"I64GeS","","",10,N],[13,"I64GeU","","",10,N],[13,"F32Eq","","",10,N],[13,"F32Ne","","",10,N],[13,"F32Lt","","",10,N],[13,"F32Gt","","",10,N],[13,"F32Le","","",10,N],[13,"F32Ge","","",10,N],[13,"F64Eq","","",10,N],[13,"F64Ne","","",10,N],[13,"F64Lt","","",10,N],[13,"F64Gt","","",10,N],[13,"F64Le","","",10,N],[13,"F64Ge","","",10,N],[13,"I32Clz","","",10,N],[13,"I32Ctz","","",10,N],[13,"I32Popcnt","","",10,N],[13,"I32Add","","",10,N],[13,"I32Sub","","",10,N],[13,"I32Mul","","",10,N],[13,"I32DivS","","",10,N],[13,"I32DivU","","",10,N],[13,"I32RemS","","",10,N],[13,"I32RemU","","",10,N],[13,"I32And","","",10,N],[13,"I32Or","","",10,N],[13,"I32Xor","","",10,N],[13,"I32Shl","","",10,N],[13,"I32ShrS","","",10,N],[13,"I32ShrU","","",10,N],[13,"I32Rotl","","",10,N],[13,"I32Rotr","","",10,N],[13,"I64Clz","","",10,N],[13,"I64Ctz","","",10,N],[13,"I64Popcnt","","",10,N],[13,"I64Add","","",10,N],[13,"I64Sub","","",10,N],[13,"I64Mul","","",10,N],[13,"I64DivS","","",10,N],[13,"I64DivU","","",10,N],[13,"I64RemS","","",10,N],[13,"I64RemU","","",10,N],[13,"I64And","","",10,N],[13,"I64Or","","",10,N],[13,"I64Xor","","",10,N],[13,"I64Shl","","",10,N],[13,"I64ShrS","","",10,N],[13,"I64ShrU","","",10,N],[13,"I64Rotl","","",10,N],[13,"I64Rotr","","",10,N],[13,"F32Abs","","",10,N],[13,"F32Neg","","",10,N],[13,"F32Ceil","","",10,N],[13,"F32Floor","","",10,N],[13,"F32Trunc","","",10,N],[13,"F32Nearest","","",10,N],[13,"F32Sqrt","","",10,N],[13,"F32Add","","",10,N],[13,"F32Sub","","",10,N],[13,"F32Mul","","",10,N],[13,"F32Div","","",10,N],[13,"F32Min","","",10,N],[13,"F32Max","","",10,N],[13,"F32Copysign","","",10,N],[13,"F64Abs","","",10,N],[13,"F64Neg","","",10,N],[13,"F64Ceil","","",10,N],[13,"F64Floor","","",10,N],[13,"F64Trunc","","",10,N],[13,"F64Nearest","","",10,N],[13,"F64Sqrt","","",10,N],[13,"F64Add","","",10,N],[13,"F64Sub","","",10,N],[13,"F64Mul","","",10,N],[13,"F64Div","","",10,N],[13,"F64Min","","",10,N],[13,"F64Max","","",10,N],[13,"F64Copysign","","",10,N],[13,"I32WrapI64","","",10,N],[13,"I32TruncSF32","","",10,N],[13,"I32TruncUF32","","",10,N],[13,"I32TruncSF64","","",10,N],[13,"I32TruncUF64","","",10,N],[13,"I64ExtendSI32","","",10,N],[13,"I64ExtendUI32","","",10,N],[13,"I64TruncSF32","","",10,N],[13,"I64TruncUF32","","",10,N],[13,"I64TruncSF64","","",10,N],[13,"I64TruncUF64","","",10,N],[13,"F32ConvertSI32","","",10,N],[13,"F32ConvertUI32","","",10,N],[13,"F32ConvertSI64","","",10,N],[13,"F32ConvertUI64","","",10,N],[13,"F32DemoteF64","","",10,N],[13,"F64ConvertSI32","","",10,N],[13,"F64ConvertUI32","","",10,N],[13,"F64ConvertSI64","","",10,N],[13,"F64ConvertUI64","","",10,N],[13,"F64PromoteF32","","",10,N],[13,"I32ReinterpretF32","","",10,N],[13,"I64ReinterpretF64","","",10,N],[13,"F32ReinterpretI32","","",10,N],[13,"F64ReinterpretI64","","",10,N],[13,"I32Extend8S","","",10,N],[13,"I32Extend16S","","",10,N],[13,"I64Extend8S","","",10,N],[13,"I64Extend16S","","",10,N],[13,"I64Extend32S","","",10,N],[13,"AtomicWake","","",10,N],[13,"I32AtomicWait","","",10,N],[13,"I64AtomicWait","","",10,N],[13,"I32AtomicLoad","","",10,N],[13,"I64AtomicLoad","","",10,N],[13,"I32AtomicLoad8u","","",10,N],[13,"I32AtomicLoad16u","","",10,N],[13,"I64AtomicLoad8u","","",10,N],[13,"I64AtomicLoad16u","","",10,N],[13,"I64AtomicLoad32u","","",10,N],[13,"I32AtomicStore","","",10,N],[13,"I64AtomicStore","","",10,N],[13,"I32AtomicStore8u","","",10,N],[13,"I32AtomicStore16u","","",10,N],[13,"I64AtomicStore8u","","",10,N],[13,"I64AtomicStore16u","","",10,N],[13,"I64AtomicStore32u","","",10,N],[13,"I32AtomicRmwAdd","","",10,N],[13,"I64AtomicRmwAdd","","",10,N],[13,"I32AtomicRmwAdd8u","","",10,N],[13,"I32AtomicRmwAdd16u","","",10,N],[13,"I64AtomicRmwAdd8u","","",10,N],[13,"I64AtomicRmwAdd16u","","",10,N],[13,"I64AtomicRmwAdd32u","","",10,N],[13,"I32AtomicRmwSub","","",10,N],[13,"I64AtomicRmwSub","","",10,N],[13,"I32AtomicRmwSub8u","","",10,N],[13,"I32AtomicRmwSub16u","","",10,N],[13,"I64AtomicRmwSub8u","","",10,N],[13,"I64AtomicRmwSub16u","","",10,N],[13,"I64AtomicRmwSub32u","","",10,N],[13,"I32AtomicRmwAnd","","",10,N],[13,"I64AtomicRmwAnd","","",10,N],[13,"I32AtomicRmwAnd8u","","",10,N],[13,"I32AtomicRmwAnd16u","","",10,N],[13,"I64AtomicRmwAnd8u","","",10,N],[13,"I64AtomicRmwAnd16u","","",10,N],[13,"I64AtomicRmwAnd32u","","",10,N],[13,"I32AtomicRmwOr","","",10,N],[13,"I64AtomicRmwOr","","",10,N],[13,"I32AtomicRmwOr8u","","",10,N],[13,"I32AtomicRmwOr16u","","",10,N],[13,"I64AtomicRmwOr8u","","",10,N],[13,"I64AtomicRmwOr16u","","",10,N],[13,"I64AtomicRmwOr32u","","",10,N],[13,"I32AtomicRmwXor","","",10,N],[13,"I64AtomicRmwXor","","",10,N],[13,"I32AtomicRmwXor8u","","",10,N],[13,"I32AtomicRmwXor16u","","",10,N],[13,"I64AtomicRmwXor8u","","",10,N],[13,"I64AtomicRmwXor16u","","",10,N],[13,"I64AtomicRmwXor32u","","",10,N],[13,"I32AtomicRmwXchg","","",10,N],[13,"I64AtomicRmwXchg","","",10,N],[13,"I32AtomicRmwXchg8u","","",10,N],[13,"I32AtomicRmwXchg16u","","",10,N],[13,"I64AtomicRmwXchg8u","","",10,N],[13,"I64AtomicRmwXchg16u","","",10,N],[13,"I64AtomicRmwXchg32u","","",10,N],[13,"I32AtomicRmwCmpxchg","","",10,N],[13,"I64AtomicRmwCmpxchg","","",10,N],[13,"I32AtomicRmwCmpxchg8u","","",10,N],[13,"I32AtomicRmwCmpxchg16u","","",10,N],[13,"I64AtomicRmwCmpxchg8u","","",10,N],[13,"I64AtomicRmwCmpxchg16u","","",10,N],[13,"I64AtomicRmwCmpxchg32u","","",10,N],[13,"V128Const","","",10,N],[13,"V128Load","","",10,N],[13,"V128Store","","",10,N],[13,"I8x16Splat","","",10,N],[13,"I16x8Splat","","",10,N],[13,"I32x4Splat","","",10,N],[13,"I64x2Splat","","",10,N],[13,"F32x4Splat","","",10,N],[13,"F64x2Splat","","",10,N],[13,"I8x16ExtractLaneS","","",10,N],[13,"I8x16ExtractLaneU","","",10,N],[13,"I16x8ExtractLaneS","","",10,N],[13,"I16x8ExtractLaneU","","",10,N],[13,"I32x4ExtractLane","","",10,N],[13,"I64x2ExtractLane","","",10,N],[13,"F32x4ExtractLane","","",10,N],[13,"F64x2ExtractLane","","",10,N],[13,"I8x16ReplaceLane","","",10,N],[13,"I16x8ReplaceLane","","",10,N],[13,"I32x4ReplaceLane","","",10,N],[13,"I64x2ReplaceLane","","",10,N],[13,"F32x4ReplaceLane","","",10,N],[13,"F64x2ReplaceLane","","",10,N],[13,"V8x16Shuffle","","",10,N],[13,"I8x16Add","","",10,N],[13,"I16x8Add","","",10,N],[13,"I32x4Add","","",10,N],[13,"I64x2Add","","",10,N],[13,"I8x16Sub","","",10,N],[13,"I16x8Sub","","",10,N],[13,"I32x4Sub","","",10,N],[13,"I64x2Sub","","",10,N],[13,"I8x16Mul","","",10,N],[13,"I16x8Mul","","",10,N],[13,"I32x4Mul","","",10,N],[13,"I8x16Neg","","",10,N],[13,"I16x8Neg","","",10,N],[13,"I32x4Neg","","",10,N],[13,"I64x2Neg","","",10,N],[13,"I8x16AddSaturateS","","",10,N],[13,"I8x16AddSaturateU","","",10,N],[13,"I16x8AddSaturateS","","",10,N],[13,"I16x8AddSaturateU","","",10,N],[13,"I8x16SubSaturateS","","",10,N],[13,"I8x16SubSaturateU","","",10,N],[13,"I16x8SubSaturateS","","",10,N],[13,"I16x8SubSaturateU","","",10,N],[13,"I8x16Shl","","",10,N],[13,"I16x8Shl","","",10,N],[13,"I32x4Shl","","",10,N],[13,"I64x2Shl","","",10,N],[13,"I8x16ShrS","","",10,N],[13,"I8x16ShrU","","",10,N],[13,"I16x8ShrS","","",10,N],[13,"I16x8ShrU","","",10,N],[13,"I32x4ShrS","","",10,N],[13,"I32x4ShrU","","",10,N],[13,"I64x2ShrS","","",10,N],[13,"I64x2ShrU","","",10,N],[13,"V128And","","",10,N],[13,"V128Or","","",10,N],[13,"V128Xor","","",10,N],[13,"V128Not","","",10,N],[13,"V128Bitselect","","",10,N],[13,"I8x16AnyTrue","","",10,N],[13,"I16x8AnyTrue","","",10,N],[13,"I32x4AnyTrue","","",10,N],[13,"I64x2AnyTrue","","",10,N],[13,"I8x16AllTrue","","",10,N],[13,"I16x8AllTrue","","",10,N],[13,"I32x4AllTrue","","",10,N],[13,"I64x2AllTrue","","",10,N],[13,"I8x16Eq","","",10,N],[13,"I16x8Eq","","",10,N],[13,"I32x4Eq","","",10,N],[13,"F32x4Eq","","",10,N],[13,"F64x2Eq","","",10,N],[13,"I8x16Ne","","",10,N],[13,"I16x8Ne","","",10,N],[13,"I32x4Ne","","",10,N],[13,"F32x4Ne","","",10,N],[13,"F64x2Ne","","",10,N],[13,"I8x16LtS","","",10,N],[13,"I8x16LtU","","",10,N],[13,"I16x8LtS","","",10,N],[13,"I16x8LtU","","",10,N],[13,"I32x4LtS","","",10,N],[13,"I32x4LtU","","",10,N],[13,"F32x4Lt","","",10,N],[13,"F64x2Lt","","",10,N],[13,"I8x16LeS","","",10,N],[13,"I8x16LeU","","",10,N],[13,"I16x8LeS","","",10,N],[13,"I16x8LeU","","",10,N],[13,"I32x4LeS","","",10,N],[13,"I32x4LeU","","",10,N],[13,"F32x4Le","","",10,N],[13,"F64x2Le","","",10,N],[13,"I8x16GtS","","",10,N],[13,"I8x16GtU","","",10,N],[13,"I16x8GtS","","",10,N],[13,"I16x8GtU","","",10,N],[13,"I32x4GtS","","",10,N],[13,"I32x4GtU","","",10,N],[13,"F32x4Gt","","",10,N],[13,"F64x2Gt","","",10,N],[13,"I8x16GeS","","",10,N],[13,"I8x16GeU","","",10,N],[13,"I16x8GeS","","",10,N],[13,"I16x8GeU","","",10,N],[13,"I32x4GeS","","",10,N],[13,"I32x4GeU","","",10,N],[13,"F32x4Ge","","",10,N],[13,"F64x2Ge","","",10,N],[13,"F32x4Neg","","",10,N],[13,"F64x2Neg","","",10,N],[13,"F32x4Abs","","",10,N],[13,"F64x2Abs","","",10,N],[13,"F32x4Min","","",10,N],[13,"F64x2Min","","",10,N],[13,"F32x4Max","","",10,N],[13,"F64x2Max","","",10,N],[13,"F32x4Add","","",10,N],[13,"F64x2Add","","",10,N],[13,"F32x4Sub","","",10,N],[13,"F64x2Sub","","",10,N],[13,"F32x4Div","","",10,N],[13,"F64x2Div","","",10,N],[13,"F32x4Mul","","",10,N],[13,"F64x2Mul","","",10,N],[13,"F32x4Sqrt","","",10,N],[13,"F64x2Sqrt","","",10,N],[13,"F32x4ConvertSI32x4","","",10,N],[13,"F32x4ConvertUI32x4","","",10,N],[13,"F64x2ConvertSI64x2","","",10,N],[13,"F64x2ConvertUI64x2","","",10,N],[13,"I32x4TruncSF32x4Sat","","",10,N],[13,"I32x4TruncUF32x4Sat","","",10,N],[13,"I64x2TruncSF64x2Sat","","",10,N],[13,"I64x2TruncUF64x2Sat","","",10,N],[4,"NameSection","","Debug name information.",N,N],[13,"Module","","Module name section.",11,N],[13,"Function","","Function name section.",11,N],[13,"Local","","Local name section.",11,N],[13,"Unparsed","","Name section is unparsed.",11,N],[12,"name_type","parity_wasm::elements::NameSection","The numeric identifier for this name section type.",11,N],[12,"name_payload","","The contents of this name section, unparsed.",11,N],[4,"RelocationEntry","parity_wasm::elements","Relocation entry.",N,N],[13,"FunctionIndexLeb","","Function index.",12,N],[12,"offset","parity_wasm::elements::RelocationEntry","Offset of the value to rewrite.",12,N],[12,"index","","Index of the function symbol in the symbol table.",12,N],[13,"TableIndexSleb","parity_wasm::elements","Function table index.",12,N],[12,"offset","parity_wasm::elements::RelocationEntry","Offset of the value to rewrite.",12,N],[12,"index","","Index of the function symbol in the symbol table.",12,N],[13,"TableIndexI32","parity_wasm::elements","Function table index.",12,N],[12,"offset","parity_wasm::elements::RelocationEntry","Offset of the value to rewrite.",12,N],[12,"index","","Index of the function symbol in the symbol table.",12,N],[13,"MemoryAddressLeb","parity_wasm::elements","Linear memory index.",12,N],[12,"offset","parity_wasm::elements::RelocationEntry","Offset of the value to rewrite.",12,N],[12,"index","","Index of the data symbol in the symbol table.",12,N],[12,"addend","","Addend to add to the address.",12,N],[13,"MemoryAddressSleb","parity_wasm::elements","Linear memory index.",12,N],[12,"offset","parity_wasm::elements::RelocationEntry","Offset of the value to rewrite.",12,N],[12,"index","","Index of the data symbol in the symbol table.",12,N],[12,"addend","","Addend to add to the address.",12,N],[13,"MemoryAddressI32","parity_wasm::elements","Linear memory index.",12,N],[12,"offset","parity_wasm::elements::RelocationEntry","Offset of the value to rewrite.",12,N],[12,"index","","Index of the data symbol in the symbol table.",12,N],[12,"addend","","Addend to add to the address.",12,N],[13,"TypeIndexLeb","parity_wasm::elements","Type table index.",12,N],[12,"offset","parity_wasm::elements::RelocationEntry","Offset of the value to rewrite.",12,N],[12,"index","","Index of the type used.",12,N],[13,"GlobalIndexLeb","parity_wasm::elements","Global index.",12,N],[12,"offset","parity_wasm::elements::RelocationEntry","Offset of the value to rewrite.",12,N],[12,"index","","Index of the global symbol in the symbol table.",12,N],[4,"Error","parity_wasm::elements","Deserialization/serialization error",N,N],[13,"UnexpectedEof","","Unexpected end of input",13,N],[13,"InvalidMagic","","Invalid magic",13,N],[13,"UnsupportedVersion","","Unsupported version",13,N],[13,"InconsistentLength","","Inconsistence between declared and actual length",13,N],[12,"expected","parity_wasm::elements::Error","Expected length of the definition",13,N],[12,"actual","","Actual length of the definition",13,N],[13,"Other","parity_wasm::elements","Other static error",13,N],[13,"HeapOther","","Other allocated error",13,N],[13,"UnknownValueType","","Invalid/unknown value type declaration",13,N],[13,"UnknownTableElementType","","Invalid/unknown table element type declaration",13,N],[13,"NonUtf8String","","Non-utf8 string",13,N],[13,"UnknownExternalKind","","Unknown external kind code",13,N],[13,"UnknownInternalKind","","Unknown internal kind code",13,N],[13,"UnknownOpcode","","Unknown opcode encountered",13,N],[13,"UnknownSimdOpcode","","Unknown SIMD opcode encountered",13,N],[13,"InvalidVarUint1","","Invalid VarUint1 value",13,N],[13,"InvalidVarInt32","","Invalid VarInt32 value",13,N],[13,"InvalidVarInt64","","Invalid VarInt64 value",13,N],[13,"InvalidVarUint32","","Invalid VarUint32 value",13,N],[13,"InvalidVarUint64","","Invalid VarUint64 value",13,N],[13,"InconsistentMetadata","","Inconsistent metadata",13,N],[13,"InvalidSectionId","","Invalid section id",13,N],[13,"SectionsOutOfOrder","","Sections are out of order",13,N],[13,"DuplicatedSections","","Duplicated sections",13,N],[13,"InvalidMemoryReference","","Invalid memory reference (should be 0)",13,N],[13,"InvalidTableReference","","Invalid table reference (should be 0)",13,N],[13,"UnknownFunctionForm","","Unknown function form (should be 0x60)",13,N],[13,"InvalidVarInt7","","Invalid varint7 (should be in -64..63 range)",13,N],[13,"InconsistentCode","","Number of function body entries and signatures does not match",13,N],[5,"peek_size","","Returns size of the module in the provided stream",N,N],[5,"deserialize_buffer","","Deserialize deserializable type from buffer.",N,N],[5,"serialize","","Create buffer with serialized value.",N,[[["t"]],["result",["vec"]]]],[5,"deserialize_file","","Deserialize module from the file.",N,[[["p"]],["result",["module","error"]]]],[5,"serialize_to_file","","Serialize module to the file",N,[[["p"],["module"]],["result",["error"]]]],[11,"fmt","","",14,[[["self"],["formatter"]],["result"]]],[11,"clone","","",14,[[["self"]],["varuint32"]]],[11,"eq","","",14,[[["self"],["varuint32"]],["bool"]]],[11,"ne","","",14,[[["self"],["varuint32"]],["bool"]]],[11,"from","","",14,[[["u32"]],["varuint32"]]],[11,"from","","",14,[[["usize"]],["varuint32"]]],[11,"deserialize","","",14,[[["r"]],["result"]]],[11,"serialize","","",14,[[["self"],["w"]],["result"]]],[11,"fmt","","",15,[[["self"],["formatter"]],["result"]]],[11,"clone","","",15,[[["self"]],["varuint64"]]],[11,"eq","","",15,[[["self"],["varuint64"]],["bool"]]],[11,"ne","","",15,[[["self"],["varuint64"]],["bool"]]],[11,"deserialize","","",15,[[["r"]],["result"]]],[11,"serialize","","",15,[[["self"],["w"]],["result"]]],[11,"from","","",15,[[["u64"]],["varuint64"]]],[11,"fmt","","",16,[[["self"],["formatter"]],["result"]]],[11,"clone","","",16,[[["self"]],["varuint7"]]],[11,"eq","","",16,[[["self"],["varuint7"]],["bool"]]],[11,"ne","","",16,[[["self"],["varuint7"]],["bool"]]],[11,"from","","",16,[[["u8"]],["self"]]],[11,"deserialize","","",16,[[["r"]],["result"]]],[11,"serialize","","",16,[[["self"],["w"]],["result"]]],[11,"fmt","","",17,[[["self"],["formatter"]],["result"]]],[11,"clone","","",17,[[["self"]],["varint7"]]],[11,"eq","","",17,[[["self"],["varint7"]],["bool"]]],[11,"ne","","",17,[[["self"],["varint7"]],["bool"]]],[11,"from","","",17,[[["i8"]],["varint7"]]],[11,"deserialize","","",17,[[["r"]],["result"]]],[11,"serialize","","",17,[[["self"],["w"]],["result"]]],[11,"fmt","","",18,[[["self"],["formatter"]],["result"]]],[11,"clone","","",18,[[["self"]],["uint8"]]],[11,"eq","","",18,[[["self"],["uint8"]],["bool"]]],[11,"ne","","",18,[[["self"],["uint8"]],["bool"]]],[11,"from","","",18,[[["u8"]],["self"]]],[11,"deserialize","","",18,[[["r"]],["result"]]],[11,"serialize","","",18,[[["self"],["w"]],["result"]]],[11,"fmt","","",19,[[["self"],["formatter"]],["result"]]],[11,"clone","","",19,[[["self"]],["varint32"]]],[11,"eq","","",19,[[["self"],["varint32"]],["bool"]]],[11,"ne","","",19,[[["self"],["varint32"]],["bool"]]],[11,"from","","",19,[[["i32"]],["varint32"]]],[11,"deserialize","","",19,[[["r"]],["result"]]],[11,"serialize","","",19,[[["self"],["w"]],["result"]]],[11,"fmt","","",20,[[["self"],["formatter"]],["result"]]],[11,"clone","","",20,[[["self"]],["varint64"]]],[11,"eq","","",20,[[["self"],["varint64"]],["bool"]]],[11,"ne","","",20,[[["self"],["varint64"]],["bool"]]],[11,"from","","",20,[[["i64"]],["varint64"]]],[11,"deserialize","","",20,[[["r"]],["result"]]],[11,"serialize","","",20,[[["self"],["w"]],["result"]]],[11,"fmt","","",21,[[["self"],["formatter"]],["result"]]],[11,"clone","","",21,[[["self"]],["uint32"]]],[11,"eq","","",21,[[["self"],["uint32"]],["bool"]]],[11,"ne","","",21,[[["self"],["uint32"]],["bool"]]],[11,"deserialize","","",21,[[["r"]],["result"]]],[11,"serialize","","",21,[[["self"],["w"]],["result"]]],[11,"from","","",21,[[["u32"]],["self"]]],[11,"fmt","","",22,[[["self"],["formatter"]],["result"]]],[11,"clone","","",22,[[["self"]],["uint64"]]],[11,"eq","","",22,[[["self"],["uint64"]],["bool"]]],[11,"ne","","",22,[[["self"],["uint64"]],["bool"]]],[11,"deserialize","","",22,[[["r"]],["result"]]],[11,"serialize","","",22,[[["self"],["w"]],["result"]]],[11,"from","","",22,[[["u64"]],["self"]]],[11,"fmt","","",23,[[["self"],["formatter"]],["result"]]],[11,"clone","","",23,[[["self"]],["varuint1"]]],[11,"eq","","",23,[[["self"],["varuint1"]],["bool"]]],[11,"ne","","",23,[[["self"],["varuint1"]],["bool"]]],[11,"from","","",23,[[["bool"]],["self"]]],[11,"deserialize","","",23,[[["r"]],["result"]]],[11,"serialize","","",23,[[["self"],["w"]],["result"]]],[11,"fmt","","",24,[[["self"],["formatter"]],["result"]]],[11,"clone","","",24,[[["self"]],["countedlist"]]],[11,"into_inner","","Destroy counted list returing inner vector.",24,[[["self"]],["vec"]]],[11,"deserialize","","",24,[[["r"]],["result"]]],[11,"fmt","","",25,[[["self"],["formatter"]],["result"]]],[11,"new","","New counted writer on top of the given serial writer",25,[[["w"]],["self"]]],[11,"done","","Finish counted writer routing, which writes accumulated length and actual payload.",25,[[["self"]],["result",["error"]]]],[11,"fmt","","",0,[[["self"],["formatter"]],["result"]]],[11,"clone","","",0,[[["self"]],["countedlistwriter"]]],[11,"serialize","","",0,[[["self"],["w"]],["result"]]],[11,"fmt","","",26,[[["self"],["formatter"]],["result"]]],[11,"clone","","",26,[[["self"]],["module"]]],[11,"eq","","",26,[[["self"],["module"]],["bool"]]],[11,"ne","","",26,[[["self"],["module"]],["bool"]]],[11,"fmt","","",2,[[["self"],["formatter"]],["result"]]],[11,"clone","","",2,[[["self"]],["importcounttype"]]],[11,"eq","","",2,[[["self"],["importcounttype"]],["bool"]]],[11,"default","","",26,[[],["self"]]],[11,"new","","New module with sections",26,[[["vec",["section"]]],["self"]]],[11,"into_sections","","Destructure the module, yielding sections",26,[[["self"]],["vec",["section"]]]],[11,"version","","Version of module.",26,[[["self"]],["u32"]]],[11,"sections","","Sections list. Each known section is optional and may appear at most once.",26,N],[11,"sections_mut","","Sections list (mutable) Each known section is optional and may appear at most once.",26,[[["self"]],["vec"]]],[11,"code_section","","Code section reference, if any.",26,[[["self"]],["option",["codesection"]]]],[11,"code_section_mut","","Code section mutable reference, if any.",26,[[["self"]],["option",["codesection"]]]],[11,"type_section","","Types section reference, if any.",26,[[["self"]],["option",["typesection"]]]],[11,"type_section_mut","","Types section mutable reference, if any.",26,[[["self"]],["option",["typesection"]]]],[11,"import_section","","Imports section reference, if any.",26,[[["self"]],["option",["importsection"]]]],[11,"import_section_mut","","Imports section mutable reference, if any.",26,[[["self"]],["option",["importsection"]]]],[11,"global_section","","Globals section reference, if any.",26,[[["self"]],["option",["globalsection"]]]],[11,"global_section_mut","","Globals section mutable reference, if any.",26,[[["self"]],["option",["globalsection"]]]],[11,"export_section","","Exports section reference, if any.",26,[[["self"]],["option",["exportsection"]]]],[11,"export_section_mut","","Exports section mutable reference, if any.",26,[[["self"]],["option",["exportsection"]]]],[11,"table_section","","Table section reference, if any.",26,[[["self"]],["option",["tablesection"]]]],[11,"table_section_mut","","Table section mutable reference, if any.",26,[[["self"]],["option",["tablesection"]]]],[11,"data_section","","Data section reference, if any.",26,[[["self"]],["option",["datasection"]]]],[11,"data_section_mut","","Data section mutable reference, if any.",26,[[["self"]],["option",["datasection"]]]],[11,"elements_section","","Element section reference, if any.",26,[[["self"]],["option",["elementsection"]]]],[11,"elements_section_mut","","Element section mutable reference, if any.",26,[[["self"]],["option",["elementsection"]]]],[11,"memory_section","","Memory section reference, if any.",26,[[["self"]],["option",["memorysection"]]]],[11,"memory_section_mut","","Memory section mutable reference, if any.",26,[[["self"]],["option",["memorysection"]]]],[11,"function_section","","Functions signatures section reference, if any.",26,[[["self"]],["option",["functionsection"]]]],[11,"function_section_mut","","Functions signatures section mutable reference, if any.",26,[[["self"]],["option",["functionsection"]]]],[11,"start_section","","Start section, if any.",26,[[["self"]],["option",["u32"]]]],[11,"names_section","","Functions signatures section reference, if any. NOTE: name section is not parsed by default so `names_section` could return None even if name section exists. Call `parse_names` to parse name section",26,[[["self"]],["option",["namesection"]]]],[11,"names_section_mut","","Functions signatures section mutable reference, if any. NOTE: name section is not parsed by default so `names_section` could return None even if name section exists. Call `parse_names` to parse name section",26,[[["self"]],["option",["namesection"]]]],[11,"parse_names","","Try to parse name section in place Corresponding custom section with proper header will convert to name sections If some of them will fail to be decoded, Err variant is returned with the list of (index, Error) tuples of failed sections.",26,[[["self"]],["result"]]],[11,"parse_reloc","","Try to parse reloc section in place Corresponding custom section with proper header will convert to reloc sections If some of them will fail to be decoded, Err variant is returned with the list of (index, Error) tuples of failed sections.",26,[[["self"]],["result"]]],[11,"import_count","","Count imports by provided type",26,[[["self"],["importcounttype"]],["usize"]]],[11,"functions_space","","Query functions space",26,[[["self"]],["usize"]]],[11,"globals_space","","Query globals space",26,[[["self"]],["usize"]]],[11,"table_space","","Query table space",26,[[["self"]],["usize"]]],[11,"memory_space","","Query memory space",26,[[["self"]],["usize"]]],[11,"deserialize","","",26,[[["r"]],["result"]]],[11,"serialize","","",26,[[["self"],["w"]],["result"]]],[11,"fmt","","",3,[[["self"],["formatter"]],["result"]]],[11,"clone","","",3,[[["self"]],["section"]]],[11,"eq","","",3,[[["self"],["section"]],["bool"]]],[11,"ne","","",3,[[["self"],["section"]],["bool"]]],[11,"deserialize","","",3,[[["r"]],["result"]]],[11,"serialize","","",3,[[["self"],["w"]],["result"]]],[11,"fmt","","",27,[[["self"],["formatter"]],["result"]]],[11,"default","","",27,[[],["customsection"]]],[11,"clone","","",27,[[["self"]],["customsection"]]],[11,"eq","","",27,[[["self"],["customsection"]],["bool"]]],[11,"ne","","",27,[[["self"],["customsection"]],["bool"]]],[11,"name","","Name of the custom section",27,[[["self"]],["str"]]],[11,"payload","","Payload of the custom secion",27,N],[11,"name_mut","","Name of the custom section (mutable)",27,[[["self"]],["string"]]],[11,"payload_mut","","Payload of the custom section (mutable)",27,[[["self"]],["vec"]]],[11,"deserialize","","",27,[[["r"]],["result"]]],[11,"serialize","","",27,[[["self"],["w"]],["result"]]],[11,"fmt","","",28,[[["self"],["formatter"]],["result"]]],[11,"default","","",28,[[],["typesection"]]],[11,"clone","","",28,[[["self"]],["typesection"]]],[11,"eq","","",28,[[["self"],["typesection"]],["bool"]]],[11,"ne","","",28,[[["self"],["typesection"]],["bool"]]],[11,"with_types","","New type section with provided types",28,[[["vec",["type"]]],["self"]]],[11,"types","","List of type declarations",28,N],[11,"types_mut","","List of type declarations (mutable)",28,[[["self"]],["vec"]]],[11,"deserialize","","",28,[[["r"]],["result"]]],[11,"serialize","","",28,[[["self"],["w"]],["result"]]],[11,"fmt","","",29,[[["self"],["formatter"]],["result"]]],[11,"default","","",29,[[],["importsection"]]],[11,"clone","","",29,[[["self"]],["importsection"]]],[11,"eq","","",29,[[["self"],["importsection"]],["bool"]]],[11,"ne","","",29,[[["self"],["importsection"]],["bool"]]],[11,"with_entries","","New import section with provided types",29,[[["vec",["importentry"]]],["self"]]],[11,"entries","","List of import entries.",29,N],[11,"entries_mut","","List of import entries (mutable).",29,[[["self"]],["vec"]]],[11,"functions","","Returns number of functions",29,[[["self"]],["usize"]]],[11,"globals","","Returns number of globals",29,[[["self"]],["usize"]]],[11,"deserialize","","",29,[[["r"]],["result"]]],[11,"serialize","","",29,[[["self"],["w"]],["result"]]],[11,"default","","",30,[[],["functionsection"]]],[11,"fmt","","",30,[[["self"],["formatter"]],["result"]]],[11,"clone","","",30,[[["self"]],["functionsection"]]],[11,"eq","","",30,[[["self"],["functionsection"]],["bool"]]],[11,"ne","","",30,[[["self"],["functionsection"]],["bool"]]],[11,"with_entries","","New function signatures section with provided entries",30,[[["vec",["func"]]],["self"]]],[11,"entries_mut","","List of all functions in the section, mutable",30,[[["self"]],["vec"]]],[11,"entries","","List of all functions in the section",30,N],[11,"deserialize","","",30,[[["r"]],["result"]]],[11,"serialize","","",30,[[["self"],["w"]],["result"]]],[11,"default","","",31,[[],["tablesection"]]],[11,"fmt","","",31,[[["self"],["formatter"]],["result"]]],[11,"clone","","",31,[[["self"]],["tablesection"]]],[11,"eq","","",31,[[["self"],["tablesection"]],["bool"]]],[11,"ne","","",31,[[["self"],["tablesection"]],["bool"]]],[11,"entries","","Table entries.",31,N],[11,"with_entries","","New table section with provided table entries",31,[[["vec",["tabletype"]]],["self"]]],[11,"entries_mut","","Mutable table entries.",31,[[["self"]],["vec"]]],[11,"deserialize","","",31,[[["r"]],["result"]]],[11,"serialize","","",31,[[["self"],["w"]],["result"]]],[11,"default","","",32,[[],["memorysection"]]],[11,"fmt","","",32,[[["self"],["formatter"]],["result"]]],[11,"clone","","",32,[[["self"]],["memorysection"]]],[11,"eq","","",32,[[["self"],["memorysection"]],["bool"]]],[11,"ne","","",32,[[["self"],["memorysection"]],["bool"]]],[11,"entries","","List of all memory entries in the section",32,N],[11,"with_entries","","New memory section with memory types",32,[[["vec",["memorytype"]]],["self"]]],[11,"entries_mut","","Mutable list of all memory entries in the section",32,[[["self"]],["vec"]]],[11,"deserialize","","",32,[[["r"]],["result"]]],[11,"serialize","","",32,[[["self"],["w"]],["result"]]],[11,"default","","",33,[[],["globalsection"]]],[11,"fmt","","",33,[[["self"],["formatter"]],["result"]]],[11,"clone","","",33,[[["self"]],["globalsection"]]],[11,"eq","","",33,[[["self"],["globalsection"]],["bool"]]],[11,"ne","","",33,[[["self"],["globalsection"]],["bool"]]],[11,"entries","","List of all global entries in the section",33,N],[11,"with_entries","","New global section from list of global entries",33,[[["vec",["globalentry"]]],["self"]]],[11,"entries_mut","","List of all global entries in the section (mutable)",33,[[["self"]],["vec"]]],[11,"deserialize","","",33,[[["r"]],["result"]]],[11,"serialize","","",33,[[["self"],["w"]],["result"]]],[11,"fmt","","",34,[[["self"],["formatter"]],["result"]]],[11,"default","","",34,[[],["exportsection"]]],[11,"clone","","",34,[[["self"]],["exportsection"]]],[11,"eq","","",34,[[["self"],["exportsection"]],["bool"]]],[11,"ne","","",34,[[["self"],["exportsection"]],["bool"]]],[11,"entries","","List of all export entries in the section",34,N],[11,"with_entries","","New export section from list of export entries",34,[[["vec",["exportentry"]]],["self"]]],[11,"entries_mut","","List of all export entries in the section (mutable)",34,[[["self"]],["vec"]]],[11,"deserialize","","",34,[[["r"]],["result"]]],[11,"serialize","","",34,[[["self"],["w"]],["result"]]],[11,"default","","",35,[[],["codesection"]]],[11,"fmt","","",35,[[["self"],["formatter"]],["result"]]],[11,"clone","","",35,[[["self"]],["codesection"]]],[11,"eq","","",35,[[["self"],["codesection"]],["bool"]]],[11,"ne","","",35,[[["self"],["codesection"]],["bool"]]],[11,"with_bodies","","New code section with specified function bodies",35,[[["vec",["funcbody"]]],["self"]]],[11,"bodies","","All function bodies in the section.",35,N],[11,"bodies_mut","","All function bodies in the section, mutable.",35,[[["self"]],["vec"]]],[11,"deserialize","","",35,[[["r"]],["result"]]],[11,"serialize","","",35,[[["self"],["w"]],["result"]]],[11,"default","","",36,[[],["elementsection"]]],[11,"fmt","","",36,[[["self"],["formatter"]],["result"]]],[11,"clone","","",36,[[["self"]],["elementsection"]]],[11,"eq","","",36,[[["self"],["elementsection"]],["bool"]]],[11,"ne","","",36,[[["self"],["elementsection"]],["bool"]]],[11,"with_entries","","New elements section",36,[[["vec",["elementsegment"]]],["self"]]],[11,"entries","","New elements entries in the section",36,N],[11,"entries_mut","","List of all data entries in the section (mutable)",36,[[["self"]],["vec"]]],[11,"deserialize","","",36,[[["r"]],["result"]]],[11,"serialize","","",36,[[["self"],["w"]],["result"]]],[11,"default","","",37,[[],["datasection"]]],[11,"fmt","","",37,[[["self"],["formatter"]],["result"]]],[11,"clone","","",37,[[["self"]],["datasection"]]],[11,"eq","","",37,[[["self"],["datasection"]],["bool"]]],[11,"ne","","",37,[[["self"],["datasection"]],["bool"]]],[11,"with_entries","","New data section",37,[[["vec",["datasegment"]]],["self"]]],[11,"entries","","List of all data entries in the section",37,N],[11,"entries_mut","","List of all data entries in the section (mutable)",37,[[["self"]],["vec"]]],[11,"deserialize","","",37,[[["r"]],["result"]]],[11,"serialize","","",37,[[["self"],["w"]],["result"]]],[11,"fmt","","",6,[[["self"],["formatter"]],["result"]]],[11,"clone","","",6,[[["self"]],["type"]]],[11,"eq","","",6,[[["self"],["type"]],["bool"]]],[11,"ne","","",6,[[["self"],["type"]],["bool"]]],[11,"deserialize","","",6,[[["r"]],["result"]]],[11,"serialize","","",6,[[["self"],["w"]],["result"]]],[11,"clone","","",7,[[["self"]],["valuetype"]]],[11,"fmt","","",7,[[["self"],["formatter"]],["result"]]],[11,"eq","","",7,[[["self"],["valuetype"]],["bool"]]],[11,"deserialize","","",7,[[["r"]],["result"]]],[11,"serialize","","",7,[[["self"],["w"]],["result"]]],[11,"fmt","","",7,[[["self"],["formatter"]],["result"]]],[11,"clone","","",8,[[["self"]],["blocktype"]]],[11,"fmt","","",8,[[["self"],["formatter"]],["result"]]],[11,"eq","","",8,[[["self"],["blocktype"]],["bool"]]],[11,"ne","","",8,[[["self"],["blocktype"]],["bool"]]],[11,"deserialize","","",8,[[["r"]],["result"]]],[11,"serialize","","",8,[[["self"],["w"]],["result"]]],[11,"fmt","","",38,[[["self"],["formatter"]],["result"]]],[11,"clone","","",38,[[["self"]],["functiontype"]]],[11,"eq","","",38,[[["self"],["functiontype"]],["bool"]]],[11,"ne","","",38,[[["self"],["functiontype"]],["bool"]]],[11,"default","","",38,[[],["self"]]],[11,"new","","New function type given the signature in-params(`params`) and return type (`return_type`)",38,[[["vec",["valuetype"]],["option",["valuetype"]]],["self"]]],[11,"form","","Function form (currently only valid value is `0x60`)",38,[[["self"]],["u8"]]],[11,"params","","Parameters in the function signature.",38,N],[11,"params_mut","","Mutable parameters in the function signature.",38,[[["self"]],["vec"]]],[11,"return_type","","Return type in the function signature, if any.",38,[[["self"]],["option",["valuetype"]]]],[11,"return_type_mut","","Mutable type in the function signature, if any.",38,[[["self"]],["option"]]],[11,"deserialize","","",38,[[["r"]],["result"]]],[11,"serialize","","",38,[[["self"],["w"]],["result"]]],[11,"clone","","",9,[[["self"]],["tableelementtype"]]],[11,"fmt","","",9,[[["self"],["formatter"]],["result"]]],[11,"eq","","",9,[[["self"],["tableelementtype"]],["bool"]]],[11,"deserialize","","",9,[[["r"]],["result"]]],[11,"serialize","","",9,[[["self"],["w"]],["result"]]],[11,"fmt","","",39,[[["self"],["formatter"]],["result"]]],[11,"clone","","",39,[[["self"]],["globaltype"]]],[11,"eq","","",39,[[["self"],["globaltype"]],["bool"]]],[11,"ne","","",39,[[["self"],["globaltype"]],["bool"]]],[11,"new","","New global type",39,[[["valuetype"],["bool"]],["self"]]],[11,"content_type","","Type of the global entry",39,[[["self"]],["valuetype"]]],[11,"is_mutable","","Is global entry is declared as mutable",39,[[["self"]],["bool"]]],[11,"deserialize","","",39,[[["r"]],["result"]]],[11,"serialize","","",39,[[["self"],["w"]],["result"]]],[11,"fmt","","",40,[[["self"],["formatter"]],["result"]]],[11,"clone","","",40,[[["self"]],["tabletype"]]],[11,"eq","","",40,[[["self"],["tabletype"]],["bool"]]],[11,"ne","","",40,[[["self"],["tabletype"]],["bool"]]],[11,"new","","New table definition",40,[[["u32"],["option",["u32"]]],["self"]]],[11,"limits","","Table memory specification",40,[[["self"]],["resizablelimits"]]],[11,"elem_type","","Table element type",40,[[["self"]],["tableelementtype"]]],[11,"deserialize","","",40,[[["r"]],["result"]]],[11,"serialize","","",40,[[["self"],["w"]],["result"]]],[11,"fmt","","",41,[[["self"],["formatter"]],["result"]]],[11,"clone","","",41,[[["self"]],["resizablelimits"]]],[11,"eq","","",41,[[["self"],["resizablelimits"]],["bool"]]],[11,"ne","","",41,[[["self"],["resizablelimits"]],["bool"]]],[11,"new","","New memory limits definition",41,[[["u32"],["option",["u32"]]],["self"]]],[11,"initial","","Initial size",41,[[["self"]],["u32"]]],[11,"maximum","","Maximum size",41,[[["self"]],["option",["u32"]]]],[11,"shared","","Whether or not this is a shared array buffer",41,[[["self"]],["bool"]]],[11,"deserialize","","",41,[[["r"]],["result"]]],[11,"serialize","","",41,[[["self"],["w"]],["result"]]],[11,"fmt","","",42,[[["self"],["formatter"]],["result"]]],[11,"clone","","",42,[[["self"]],["memorytype"]]],[11,"eq","","",42,[[["self"],["memorytype"]],["bool"]]],[11,"ne","","",42,[[["self"],["memorytype"]],["bool"]]],[11,"new","","New memory definition",42,[[["u32"],["option",["u32"]]],["self"]]],[11,"limits","","Limits of the memory entry.",42,[[["self"]],["resizablelimits"]]],[11,"deserialize","","",42,[[["r"]],["result"]]],[11,"serialize","","",42,[[["self"],["w"]],["result"]]],[11,"fmt","","",4,[[["self"],["formatter"]],["result"]]],[11,"clone","","",4,[[["self"]],["external"]]],[11,"eq","","",4,[[["self"],["external"]],["bool"]]],[11,"ne","","",4,[[["self"],["external"]],["bool"]]],[11,"deserialize","","",4,[[["r"]],["result"]]],[11,"serialize","","",4,[[["self"],["w"]],["result"]]],[11,"fmt","","",43,[[["self"],["formatter"]],["result"]]],[11,"clone","","",43,[[["self"]],["importentry"]]],[11,"eq","","",43,[[["self"],["importentry"]],["bool"]]],[11,"ne","","",43,[[["self"],["importentry"]],["bool"]]],[11,"new","","New import entry.",43,[[["string"],["string"],["external"]],["self"]]],[11,"module","","Module reference of the import entry.",43,[[["self"]],["str"]]],[11,"module_mut","","Module reference of the import entry (mutable).",43,[[["self"]],["string"]]],[11,"field","","Field reference of the import entry.",43,[[["self"]],["str"]]],[11,"field_mut","","Field reference of the import entry (mutable)",43,[[["self"]],["string"]]],[11,"external","","Local binidng of the import entry.",43,[[["self"]],["external"]]],[11,"external_mut","","Local binidng of the import entry (mutable)",43,[[["self"]],["external"]]],[11,"deserialize","","",43,[[["r"]],["result"]]],[11,"serialize","","",43,[[["self"],["w"]],["result"]]],[11,"fmt","","",5,[[["self"],["formatter"]],["result"]]],[11,"clone","","",5,[[["self"]],["internal"]]],[11,"eq","","",5,[[["self"],["internal"]],["bool"]]],[11,"ne","","",5,[[["self"],["internal"]],["bool"]]],[11,"deserialize","","",5,[[["r"]],["result"]]],[11,"serialize","","",5,[[["self"],["w"]],["result"]]],[11,"fmt","","",44,[[["self"],["formatter"]],["result"]]],[11,"clone","","",44,[[["self"]],["exportentry"]]],[11,"eq","","",44,[[["self"],["exportentry"]],["bool"]]],[11,"ne","","",44,[[["self"],["exportentry"]],["bool"]]],[11,"new","","New export entry",44,[[["string"],["internal"]],["self"]]],[11,"field","","Public name",44,[[["self"]],["str"]]],[11,"field_mut","","Public name (mutable)",44,[[["self"]],["string"]]],[11,"internal","","Internal reference of the export entry.",44,[[["self"]],["internal"]]],[11,"internal_mut","","Internal reference of the export entry (mutable).",44,[[["self"]],["internal"]]],[11,"deserialize","","",44,[[["r"]],["result"]]],[11,"serialize","","",44,[[["self"],["w"]],["result"]]],[11,"clone","","",45,[[["self"]],["globalentry"]]],[11,"fmt","","",45,[[["self"],["formatter"]],["result"]]],[11,"eq","","",45,[[["self"],["globalentry"]],["bool"]]],[11,"ne","","",45,[[["self"],["globalentry"]],["bool"]]],[11,"new","","New global entry",45,[[["globaltype"],["initexpr"]],["self"]]],[11,"global_type","","Global type.",45,[[["self"]],["globaltype"]]],[11,"init_expr","","Initialization expression (instructions) for global.",45,[[["self"]],["initexpr"]]],[11,"global_type_mut","","Global type (mutable)",45,[[["self"]],["globaltype"]]],[11,"init_expr_mut","","Initialization expression (instructions) for global (mutable)",45,[[["self"]],["initexpr"]]],[11,"deserialize","","",45,[[["r"]],["result"]]],[11,"serialize","","",45,[[["self"],["w"]],["result"]]],[11,"fmt","","",46,[[["self"],["formatter"]],["result"]]],[11,"clone","","",46,[[["self"]],["instructions"]]],[11,"eq","","",46,[[["self"],["instructions"]],["bool"]]],[11,"ne","","",46,[[["self"],["instructions"]],["bool"]]],[11,"new","","New list of instructions from vector of instructions.",46,[[["vec",["instruction"]]],["self"]]],[11,"empty","","Empty expression with only `Instruction::End` instruction.",46,[[],["self"]]],[11,"elements","","List of individual instructions.",46,N],[11,"elements_mut","","Individual instructions, mutable.",46,[[["self"]],["vec"]]],[11,"deserialize","","",46,[[["r"]],["result"]]],[11,"fmt","","",47,[[["self"],["formatter"]],["result"]]],[11,"clone","","",47,[[["self"]],["initexpr"]]],[11,"eq","","",47,[[["self"],["initexpr"]],["bool"]]],[11,"ne","","",47,[[["self"],["initexpr"]],["bool"]]],[11,"new","","New initialization expression from instruction list. `code` must end with the `Instruction::End` instruction!",47,[[["vec",["instruction"]]],["self"]]],[11,"empty","","Empty expression with only `Instruction::End` instruction",47,[[],["self"]]],[11,"code","","List of instructions used in the expression.",47,N],[11,"code_mut","","List of instructions used in the expression.",47,[[["self"]],["vec"]]],[11,"deserialize","","",47,[[["r"]],["result"]]],[11,"clone","","",10,[[["self"]],["instruction"]]],[11,"fmt","","",10,[[["self"],["formatter"]],["result"]]],[11,"eq","","",10,[[["self"],["instruction"]],["bool"]]],[11,"ne","","",10,[[["self"],["instruction"]],["bool"]]],[11,"is_block","","Is this instruction starts the new block (which should end with terminal instruction).",10,[[["self"]],["bool"]]],[11,"is_terminal","","Is this instruction determines the termination of instruction sequence `true` for `Instruction::End`",10,[[["self"]],["bool"]]],[11,"deserialize","","",10,[[["r"]],["result"]]],[11,"serialize","","",10,[[["self"],["w"]],["result"]]],[11,"fmt","","",10,[[["self"],["formatter"]],["result"]]],[11,"serialize","","",46,[[["self"],["w"]],["result"]]],[11,"serialize","","",47,[[["self"],["w"]],["result"]]],[11,"fmt","","",48,[[["self"],["formatter"]],["result"]]],[11,"clone","","",48,[[["self"]],["func"]]],[11,"eq","","",48,[[["self"],["func"]],["bool"]]],[11,"ne","","",48,[[["self"],["func"]],["bool"]]],[11,"new","","New function signature",48,[[["u32"]],["self"]]],[11,"type_ref","","Function signature type reference.",48,[[["self"]],["u32"]]],[11,"type_ref_mut","","Function signature type reference (mutable).",48,[[["self"]],["u32"]]],[11,"serialize","","",48,[[["self"],["w"]],["result"]]],[11,"deserialize","","",48,[[["r"]],["result"]]],[11,"fmt","","",49,[[["self"],["formatter"]],["result"]]],[11,"clone","","",49,[[["self"]],["local"]]],[11,"eq","","",49,[[["self"],["local"]],["bool"]]],[11,"ne","","",49,[[["self"],["local"]],["bool"]]],[11,"new","","New local with `count` and `value_type`.",49,[[["u32"],["valuetype"]],["self"]]],[11,"count","","Number of locals with the shared type.",49,[[["self"]],["u32"]]],[11,"value_type","","Type of the locals.",49,[[["self"]],["valuetype"]]],[11,"deserialize","","",49,[[["r"]],["result"]]],[11,"serialize","","",49,[[["self"],["w"]],["result"]]],[11,"fmt","","",50,[[["self"],["formatter"]],["result"]]],[11,"clone","","",50,[[["self"]],["funcbody"]]],[11,"eq","","",50,[[["self"],["funcbody"]],["bool"]]],[11,"ne","","",50,[[["self"],["funcbody"]],["bool"]]],[11,"new","","New function body with given `locals` and `instructions`",50,[[["vec",["local"]],["instructions"]],["self"]]],[11,"empty","","List of individual instructions",50,[[],["self"]]],[11,"locals","","Locals declared in function body.",50,N],[11,"code","","Instruction list of the function body. Minimal instruction list is just `&[Instruction::End]`",50,[[["self"]],["instructions"]]],[11,"locals_mut","","Locals declared in function body (mutable).",50,[[["self"]],["vec"]]],[11,"code_mut","","Instruction list of the function body (mutable).",50,[[["self"]],["instructions"]]],[11,"deserialize","","",50,[[["r"]],["result"]]],[11,"serialize","","",50,[[["self"],["w"]],["result"]]],[11,"fmt","","",51,[[["self"],["formatter"]],["result"]]],[11,"clone","","",51,[[["self"]],["elementsegment"]]],[11,"eq","","",51,[[["self"],["elementsegment"]],["bool"]]],[11,"ne","","",51,[[["self"],["elementsegment"]],["bool"]]],[11,"new","","New element segment.",51,[[["u32"],["initexpr"],["vec",["u32"]]],["self"]]],[11,"members","","Sequence of function indices.",51,N],[11,"members_mut","","Sequence of function indices (mutable)",51,[[["self"]],["vec"]]],[11,"index","","Table index (currently valid only value of `0`)",51,[[["self"]],["u32"]]],[11,"offset","","An i32 initializer expression that computes the offset at which to place the elements.",51,[[["self"]],["initexpr"]]],[11,"offset_mut","","An i32 initializer expression that computes the offset at which to place the elements (mutable)",51,[[["self"]],["initexpr"]]],[11,"deserialize","","",51,[[["r"]],["result"]]],[11,"serialize","","",51,[[["self"],["w"]],["result"]]],[11,"clone","","",52,[[["self"]],["datasegment"]]],[11,"fmt","","",52,[[["self"],["formatter"]],["result"]]],[11,"eq","","",52,[[["self"],["datasegment"]],["bool"]]],[11,"ne","","",52,[[["self"],["datasegment"]],["bool"]]],[11,"new","","New data segments.",52,[[["u32"],["initexpr"],["vec",["u8"]]],["self"]]],[11,"index","","Linear memory index (currently the only valid value is `0`).",52,[[["self"]],["u32"]]],[11,"offset","","An i32 initializer expression that computes the offset at which to place the data.",52,[[["self"]],["initexpr"]]],[11,"offset_mut","","An i32 initializer expression that computes the offset at which to place the data (mutable)",52,[[["self"]],["initexpr"]]],[11,"value","","Initial value of the data segment.",52,N],[11,"value_mut","","Initial value of the data segment (mutable).",52,[[["self"]],["vec"]]],[11,"deserialize","","",52,[[["r"]],["result"]]],[11,"serialize","","",52,[[["self"],["w"]],["result"]]],[11,"fmt","","",53,[[["self"],["formatter"]],["result"]]],[11,"default","","",53,[[],["indexmap"]]],[11,"with_capacity","","Create an empty `IndexMap`, preallocating enough space to store `capacity` entries without needing to reallocate the underlying memory.",53,[[["usize"]],["indexmap"]]],[11,"clear","","Clear the map.",53,[[["self"]]]],[11,"get","","Return the name for the specified index, if it exists.",53,[[["self"],["u32"]],["option"]]],[11,"contains_key","","Does the map contain an entry for the specified index?",53,[[["self"],["u32"]],["bool"]]],[11,"insert","","Insert a name into our map, returning the existing value if present.",53,[[["self"],["u32"],["t"]],["option"]]],[11,"remove","","Remove an item if present and return it.",53,[[["self"],["u32"]],["option"]]],[11,"len","","The number of items in this map.",53,[[["self"]],["usize"]]],[11,"is_empty","","Is this map empty?",53,[[["self"]],["bool"]]],[11,"iter","","Create a non-consuming iterator over this `IndexMap`'s keys and values.",53,[[["self"]],["iter"]]],[11,"deserialize_with","","Custom deserialization routine.",53,[[["usize"],["f"],["r"]],["result",["indexmap","error"]]]],[11,"clone","","",53,[[["self"]],["indexmap"]]],[11,"eq","","",53,[[["self"],["indexmap"]],["bool"]]],[11,"from_iter","","Create an `IndexMap` from an iterator.",53,[[["i"]],["self"]]],[11,"into_iter","","",53,[[["self"]],["intoiter"]]],[11,"serialize","","",53,[[["self"],["w"]],["result"]]],[11,"deserialize","","Deserialize a map containing simple values that support `Deserialize`. We will allocate an underlying array no larger than `max_entry_space` to hold the data, so the maximum index must be less than `max_entry_space`.",53,[[["usize"],["r"]],["result",["error"]]]],[11,"clone","","",11,[[["self"]],["namesection"]]],[11,"fmt","","",11,[[["self"],["formatter"]],["result"]]],[11,"eq","","",11,[[["self"],["namesection"]],["bool"]]],[11,"ne","","",11,[[["self"],["namesection"]],["bool"]]],[11,"deserialize","","Deserialize a name section.",11,[[["module"],["r"]],["result",["namesection","error"]]]],[11,"serialize","","",11,[[["self"],["w"]],["result",["error"]]]],[11,"clone","","",54,[[["self"]],["modulenamesection"]]],[11,"fmt","","",54,[[["self"],["formatter"]],["result"]]],[11,"eq","","",54,[[["self"],["modulenamesection"]],["bool"]]],[11,"ne","","",54,[[["self"],["modulenamesection"]],["bool"]]],[11,"new","","Create a new module name section with the specified name.",54,[[["s"]],["modulenamesection"]]],[11,"name","","The name of this module.",54,[[["self"]],["str"]]],[11,"name_mut","","The name of this module (mutable).",54,[[["self"]],["string"]]],[11,"serialize","","",54,[[["self"],["w"]],["result",["error"]]]],[11,"deserialize","","",54,[[["r"]],["result",["modulenamesection","error"]]]],[11,"clone","","",55,[[["self"]],["functionnamesection"]]],[11,"fmt","","",55,[[["self"],["formatter"]],["result"]]],[11,"default","","",55,[[],["functionnamesection"]]],[11,"eq","","",55,[[["self"],["functionnamesection"]],["bool"]]],[11,"ne","","",55,[[["self"],["functionnamesection"]],["bool"]]],[11,"names","","A map from function indices to names.",55,[[["self"]],["namemap"]]],[11,"names_mut","","A map from function indices to names (mutable).",55,[[["self"]],["namemap"]]],[11,"deserialize","","Deserialize names, making sure that all names correspond to functions.",55,[[["module"],["r"]],["result",["functionnamesection","error"]]]],[11,"serialize","","",55,[[["self"],["w"]],["result",["error"]]]],[11,"clone","","",56,[[["self"]],["localnamesection"]]],[11,"fmt","","",56,[[["self"],["formatter"]],["result"]]],[11,"default","","",56,[[],["localnamesection"]]],[11,"eq","","",56,[[["self"],["localnamesection"]],["bool"]]],[11,"ne","","",56,[[["self"],["localnamesection"]],["bool"]]],[11,"local_names","","A map from function indices to a map from variables indices to names.",56,[[["self"]],["indexmap"]]],[11,"local_names_mut","","A map from function indices to a map from variables indices to names (mutable).",56,[[["self"]],["indexmap"]]],[11,"deserialize","","Deserialize names, making sure that all names correspond to local variables.",56,[[["module"],["r"]],["result",["localnamesection","error"]]]],[11,"serialize","","",56,[[["self"],["w"]],["result",["error"]]]],[11,"clone","","",57,[[["self"]],["relocsection"]]],[11,"fmt","","",57,[[["self"],["formatter"]],["result"]]],[11,"eq","","",57,[[["self"],["relocsection"]],["bool"]]],[11,"ne","","",57,[[["self"],["relocsection"]],["bool"]]],[11,"name","","Name of this section.",57,[[["self"]],["str"]]],[11,"name_mut","","Name of this section (mutable).",57,[[["self"]],["string"]]],[11,"section_id","","ID of the section containing the relocations described in this section.",57,[[["self"]],["u32"]]],[11,"section_id_mut","","ID of the section containing the relocations described in this section (mutable).",57,[[["self"]],["u32"]]],[11,"relocation_section_name","","Name of the section containing the relocations described in this section.",57,[[["self"]],["option",["str"]]]],[11,"relocation_section_name_mut","","Name of the section containing the relocations described in this section (mutable).",57,[[["self"]],["option"]]],[11,"entries","","List of relocation entries.",57,N],[11,"entries_mut","","List of relocation entries (mutable).",57,[[["self"]],["vec"]]],[11,"deserialize","","Deserialize a reloc section.",57,[[["string"],["r"]],["result",["error"]]]],[11,"serialize","","",57,[[["self"],["w"]],["result",["error"]]]],[11,"clone","","",12,[[["self"]],["relocationentry"]]],[11,"fmt","","",12,[[["self"],["formatter"]],["result"]]],[11,"eq","","",12,[[["self"],["relocationentry"]],["bool"]]],[11,"ne","","",12,[[["self"],["relocationentry"]],["bool"]]],[11,"deserialize","","",12,[[["r"]],["result"]]],[11,"serialize","","",12,[[["self"],["w"]],["result",["error"]]]],[0,"opcodes","","",N,N],[17,"UNREACHABLE","parity_wasm::elements::opcodes","",N,N],[17,"NOP","","",N,N],[17,"BLOCK","","",N,N],[17,"LOOP","","",N,N],[17,"IF","","",N,N],[17,"ELSE","","",N,N],[17,"END","","",N,N],[17,"BR","","",N,N],[17,"BRIF","","",N,N],[17,"BRTABLE","","",N,N],[17,"RETURN","","",N,N],[17,"CALL","","",N,N],[17,"CALLINDIRECT","","",N,N],[17,"DROP","","",N,N],[17,"SELECT","","",N,N],[17,"GETLOCAL","","",N,N],[17,"SETLOCAL","","",N,N],[17,"TEELOCAL","","",N,N],[17,"GETGLOBAL","","",N,N],[17,"SETGLOBAL","","",N,N],[17,"I32LOAD","","",N,N],[17,"I64LOAD","","",N,N],[17,"F32LOAD","","",N,N],[17,"F64LOAD","","",N,N],[17,"I32LOAD8S","","",N,N],[17,"I32LOAD8U","","",N,N],[17,"I32LOAD16S","","",N,N],[17,"I32LOAD16U","","",N,N],[17,"I64LOAD8S","","",N,N],[17,"I64LOAD8U","","",N,N],[17,"I64LOAD16S","","",N,N],[17,"I64LOAD16U","","",N,N],[17,"I64LOAD32S","","",N,N],[17,"I64LOAD32U","","",N,N],[17,"I32STORE","","",N,N],[17,"I64STORE","","",N,N],[17,"F32STORE","","",N,N],[17,"F64STORE","","",N,N],[17,"I32STORE8","","",N,N],[17,"I32STORE16","","",N,N],[17,"I64STORE8","","",N,N],[17,"I64STORE16","","",N,N],[17,"I64STORE32","","",N,N],[17,"CURRENTMEMORY","","",N,N],[17,"GROWMEMORY","","",N,N],[17,"I32CONST","","",N,N],[17,"I64CONST","","",N,N],[17,"F32CONST","","",N,N],[17,"F64CONST","","",N,N],[17,"I32EQZ","","",N,N],[17,"I32EQ","","",N,N],[17,"I32NE","","",N,N],[17,"I32LTS","","",N,N],[17,"I32LTU","","",N,N],[17,"I32GTS","","",N,N],[17,"I32GTU","","",N,N],[17,"I32LES","","",N,N],[17,"I32LEU","","",N,N],[17,"I32GES","","",N,N],[17,"I32GEU","","",N,N],[17,"I64EQZ","","",N,N],[17,"I64EQ","","",N,N],[17,"I64NE","","",N,N],[17,"I64LTS","","",N,N],[17,"I64LTU","","",N,N],[17,"I64GTS","","",N,N],[17,"I64GTU","","",N,N],[17,"I64LES","","",N,N],[17,"I64LEU","","",N,N],[17,"I64GES","","",N,N],[17,"I64GEU","","",N,N],[17,"F32EQ","","",N,N],[17,"F32NE","","",N,N],[17,"F32LT","","",N,N],[17,"F32GT","","",N,N],[17,"F32LE","","",N,N],[17,"F32GE","","",N,N],[17,"F64EQ","","",N,N],[17,"F64NE","","",N,N],[17,"F64LT","","",N,N],[17,"F64GT","","",N,N],[17,"F64LE","","",N,N],[17,"F64GE","","",N,N],[17,"I32CLZ","","",N,N],[17,"I32CTZ","","",N,N],[17,"I32POPCNT","","",N,N],[17,"I32ADD","","",N,N],[17,"I32SUB","","",N,N],[17,"I32MUL","","",N,N],[17,"I32DIVS","","",N,N],[17,"I32DIVU","","",N,N],[17,"I32REMS","","",N,N],[17,"I32REMU","","",N,N],[17,"I32AND","","",N,N],[17,"I32OR","","",N,N],[17,"I32XOR","","",N,N],[17,"I32SHL","","",N,N],[17,"I32SHRS","","",N,N],[17,"I32SHRU","","",N,N],[17,"I32ROTL","","",N,N],[17,"I32ROTR","","",N,N],[17,"I64CLZ","","",N,N],[17,"I64CTZ","","",N,N],[17,"I64POPCNT","","",N,N],[17,"I64ADD","","",N,N],[17,"I64SUB","","",N,N],[17,"I64MUL","","",N,N],[17,"I64DIVS","","",N,N],[17,"I64DIVU","","",N,N],[17,"I64REMS","","",N,N],[17,"I64REMU","","",N,N],[17,"I64AND","","",N,N],[17,"I64OR","","",N,N],[17,"I64XOR","","",N,N],[17,"I64SHL","","",N,N],[17,"I64SHRS","","",N,N],[17,"I64SHRU","","",N,N],[17,"I64ROTL","","",N,N],[17,"I64ROTR","","",N,N],[17,"F32ABS","","",N,N],[17,"F32NEG","","",N,N],[17,"F32CEIL","","",N,N],[17,"F32FLOOR","","",N,N],[17,"F32TRUNC","","",N,N],[17,"F32NEAREST","","",N,N],[17,"F32SQRT","","",N,N],[17,"F32ADD","","",N,N],[17,"F32SUB","","",N,N],[17,"F32MUL","","",N,N],[17,"F32DIV","","",N,N],[17,"F32MIN","","",N,N],[17,"F32MAX","","",N,N],[17,"F32COPYSIGN","","",N,N],[17,"F64ABS","","",N,N],[17,"F64NEG","","",N,N],[17,"F64CEIL","","",N,N],[17,"F64FLOOR","","",N,N],[17,"F64TRUNC","","",N,N],[17,"F64NEAREST","","",N,N],[17,"F64SQRT","","",N,N],[17,"F64ADD","","",N,N],[17,"F64SUB","","",N,N],[17,"F64MUL","","",N,N],[17,"F64DIV","","",N,N],[17,"F64MIN","","",N,N],[17,"F64MAX","","",N,N],[17,"F64COPYSIGN","","",N,N],[17,"I32WRAPI64","","",N,N],[17,"I32TRUNCSF32","","",N,N],[17,"I32TRUNCUF32","","",N,N],[17,"I32TRUNCSF64","","",N,N],[17,"I32TRUNCUF64","","",N,N],[17,"I64EXTENDSI32","","",N,N],[17,"I64EXTENDUI32","","",N,N],[17,"I64TRUNCSF32","","",N,N],[17,"I64TRUNCUF32","","",N,N],[17,"I64TRUNCSF64","","",N,N],[17,"I64TRUNCUF64","","",N,N],[17,"F32CONVERTSI32","","",N,N],[17,"F32CONVERTUI32","","",N,N],[17,"F32CONVERTSI64","","",N,N],[17,"F32CONVERTUI64","","",N,N],[17,"F32DEMOTEF64","","",N,N],[17,"F64CONVERTSI32","","",N,N],[17,"F64CONVERTUI32","","",N,N],[17,"F64CONVERTSI64","","",N,N],[17,"F64CONVERTUI64","","",N,N],[17,"F64PROMOTEF32","","",N,N],[17,"I32REINTERPRETF32","","",N,N],[17,"I64REINTERPRETF64","","",N,N],[17,"F32REINTERPRETI32","","",N,N],[17,"F64REINTERPRETI64","","",N,N],[17,"I32_EXTEND8_S","","",N,N],[17,"I32_EXTEND16_S","","",N,N],[17,"I64_EXTEND8_S","","",N,N],[17,"I64_EXTEND16_S","","",N,N],[17,"I64_EXTEND32_S","","",N,N],[17,"ATOMIC_PREFIX","","",N,N],[17,"ATOMIC_WAKE","","",N,N],[17,"I32_ATOMIC_WAIT","","",N,N],[17,"I64_ATOMIC_WAIT","","",N,N],[17,"I32_ATOMIC_LOAD","","",N,N],[17,"I64_ATOMIC_LOAD","","",N,N],[17,"I32_ATOMIC_LOAD8U","","",N,N],[17,"I32_ATOMIC_LOAD16U","","",N,N],[17,"I64_ATOMIC_LOAD8U","","",N,N],[17,"I64_ATOMIC_LOAD16U","","",N,N],[17,"I64_ATOMIC_LOAD32U","","",N,N],[17,"I32_ATOMIC_STORE","","",N,N],[17,"I64_ATOMIC_STORE","","",N,N],[17,"I32_ATOMIC_STORE8U","","",N,N],[17,"I32_ATOMIC_STORE16U","","",N,N],[17,"I64_ATOMIC_STORE8U","","",N,N],[17,"I64_ATOMIC_STORE16U","","",N,N],[17,"I64_ATOMIC_STORE32U","","",N,N],[17,"I32_ATOMIC_RMW_ADD","","",N,N],[17,"I64_ATOMIC_RMW_ADD","","",N,N],[17,"I32_ATOMIC_RMW_ADD8U","","",N,N],[17,"I32_ATOMIC_RMW_ADD16U","","",N,N],[17,"I64_ATOMIC_RMW_ADD8U","","",N,N],[17,"I64_ATOMIC_RMW_ADD16U","","",N,N],[17,"I64_ATOMIC_RMW_ADD32U","","",N,N],[17,"I32_ATOMIC_RMW_SUB","","",N,N],[17,"I64_ATOMIC_RMW_SUB","","",N,N],[17,"I32_ATOMIC_RMW_SUB8U","","",N,N],[17,"I32_ATOMIC_RMW_SUB16U","","",N,N],[17,"I64_ATOMIC_RMW_SUB8U","","",N,N],[17,"I64_ATOMIC_RMW_SUB16U","","",N,N],[17,"I64_ATOMIC_RMW_SUB32U","","",N,N],[17,"I32_ATOMIC_RMW_AND","","",N,N],[17,"I64_ATOMIC_RMW_AND","","",N,N],[17,"I32_ATOMIC_RMW_AND8U","","",N,N],[17,"I32_ATOMIC_RMW_AND16U","","",N,N],[17,"I64_ATOMIC_RMW_AND8U","","",N,N],[17,"I64_ATOMIC_RMW_AND16U","","",N,N],[17,"I64_ATOMIC_RMW_AND32U","","",N,N],[17,"I32_ATOMIC_RMW_OR","","",N,N],[17,"I64_ATOMIC_RMW_OR","","",N,N],[17,"I32_ATOMIC_RMW_OR8U","","",N,N],[17,"I32_ATOMIC_RMW_OR16U","","",N,N],[17,"I64_ATOMIC_RMW_OR8U","","",N,N],[17,"I64_ATOMIC_RMW_OR16U","","",N,N],[17,"I64_ATOMIC_RMW_OR32U","","",N,N],[17,"I32_ATOMIC_RMW_XOR","","",N,N],[17,"I64_ATOMIC_RMW_XOR","","",N,N],[17,"I32_ATOMIC_RMW_XOR8U","","",N,N],[17,"I32_ATOMIC_RMW_XOR16U","","",N,N],[17,"I64_ATOMIC_RMW_XOR8U","","",N,N],[17,"I64_ATOMIC_RMW_XOR16U","","",N,N],[17,"I64_ATOMIC_RMW_XOR32U","","",N,N],[17,"I32_ATOMIC_RMW_XCHG","","",N,N],[17,"I64_ATOMIC_RMW_XCHG","","",N,N],[17,"I32_ATOMIC_RMW_XCHG8U","","",N,N],[17,"I32_ATOMIC_RMW_XCHG16U","","",N,N],[17,"I64_ATOMIC_RMW_XCHG8U","","",N,N],[17,"I64_ATOMIC_RMW_XCHG16U","","",N,N],[17,"I64_ATOMIC_RMW_XCHG32U","","",N,N],[17,"I32_ATOMIC_RMW_CMPXCHG","","",N,N],[17,"I64_ATOMIC_RMW_CMPXCHG","","",N,N],[17,"I32_ATOMIC_RMW_CMPXCHG8U","","",N,N],[17,"I32_ATOMIC_RMW_CMPXCHG16U","","",N,N],[17,"I64_ATOMIC_RMW_CMPXCHG8U","","",N,N],[17,"I64_ATOMIC_RMW_CMPXCHG16U","","",N,N],[17,"I64_ATOMIC_RMW_CMPXCHG32U","","",N,N],[17,"SIMD_PREFIX","","",N,N],[17,"V128_CONST","","",N,N],[17,"V128_LOAD","","",N,N],[17,"V128_STORE","","",N,N],[17,"I8X16_SPLAT","","",N,N],[17,"I16X8_SPLAT","","",N,N],[17,"I32X4_SPLAT","","",N,N],[17,"I64X2_SPLAT","","",N,N],[17,"F32X4_SPLAT","","",N,N],[17,"F64X2_SPLAT","","",N,N],[17,"I8X16_EXTRACT_LANE_S","","",N,N],[17,"I8X16_EXTRACT_LANE_U","","",N,N],[17,"I16X8_EXTRACT_LANE_S","","",N,N],[17,"I16X8_EXTRACT_LANE_U","","",N,N],[17,"I32X4_EXTRACT_LANE","","",N,N],[17,"I64X2_EXTRACT_LANE","","",N,N],[17,"F32X4_EXTRACT_LANE","","",N,N],[17,"F64X2_EXTRACT_LANE","","",N,N],[17,"I8X16_REPLACE_LANE","","",N,N],[17,"I16X8_REPLACE_LANE","","",N,N],[17,"I32X4_REPLACE_LANE","","",N,N],[17,"I64X2_REPLACE_LANE","","",N,N],[17,"F32X4_REPLACE_LANE","","",N,N],[17,"F64X2_REPLACE_LANE","","",N,N],[17,"V8X16_SHUFFLE","","",N,N],[17,"I8X16_ADD","","",N,N],[17,"I16X8_ADD","","",N,N],[17,"I32X4_ADD","","",N,N],[17,"I64X2_ADD","","",N,N],[17,"I8X16_SUB","","",N,N],[17,"I16X8_SUB","","",N,N],[17,"I32X4_SUB","","",N,N],[17,"I64X2_SUB","","",N,N],[17,"I8X16_MUL","","",N,N],[17,"I16X8_MUL","","",N,N],[17,"I32X4_MUL","","",N,N],[17,"I8X16_NEG","","",N,N],[17,"I16X8_NEG","","",N,N],[17,"I32X4_NEG","","",N,N],[17,"I64X2_NEG","","",N,N],[17,"I8X16_ADD_SATURATE_S","","",N,N],[17,"I8X16_ADD_SATURATE_U","","",N,N],[17,"I16X8_ADD_SATURATE_S","","",N,N],[17,"I16X8_ADD_SATURATE_U","","",N,N],[17,"I8X16_SUB_SATURATE_S","","",N,N],[17,"I8X16_SUB_SATURATE_U","","",N,N],[17,"I16X8_SUB_SATURATE_S","","",N,N],[17,"I16X8_SUB_SATURATE_U","","",N,N],[17,"I8X16_SHL","","",N,N],[17,"I16X8_SHL","","",N,N],[17,"I32X4_SHL","","",N,N],[17,"I64X2_SHL","","",N,N],[17,"I8X16_SHR_S","","",N,N],[17,"I8X16_SHR_U","","",N,N],[17,"I16X8_SHR_S","","",N,N],[17,"I16X8_SHR_U","","",N,N],[17,"I32X4_SHR_S","","",N,N],[17,"I32X4_SHR_U","","",N,N],[17,"I64X2_SHR_S","","",N,N],[17,"I64X2_SHR_U","","",N,N],[17,"V128_AND","","",N,N],[17,"V128_OR","","",N,N],[17,"V128_XOR","","",N,N],[17,"V128_NOT","","",N,N],[17,"V128_BITSELECT","","",N,N],[17,"I8X16_ANY_TRUE","","",N,N],[17,"I16X8_ANY_TRUE","","",N,N],[17,"I32X4_ANY_TRUE","","",N,N],[17,"I64X2_ANY_TRUE","","",N,N],[17,"I8X16_ALL_TRUE","","",N,N],[17,"I16X8_ALL_TRUE","","",N,N],[17,"I32X4_ALL_TRUE","","",N,N],[17,"I64X2_ALL_TRUE","","",N,N],[17,"I8X16_EQ","","",N,N],[17,"I16X8_EQ","","",N,N],[17,"I32X4_EQ","","",N,N],[17,"F32X4_EQ","","",N,N],[17,"F64X2_EQ","","",N,N],[17,"I8X16_NE","","",N,N],[17,"I16X8_NE","","",N,N],[17,"I32X4_NE","","",N,N],[17,"F32X4_NE","","",N,N],[17,"F64X2_NE","","",N,N],[17,"I8X16_LT_S","","",N,N],[17,"I8X16_LT_U","","",N,N],[17,"I16X8_LT_S","","",N,N],[17,"I16X8_LT_U","","",N,N],[17,"I32X4_LT_S","","",N,N],[17,"I32X4_LT_U","","",N,N],[17,"I64X2_LT_S","","",N,N],[17,"I64X2_LT_U","","",N,N],[17,"F32X4_LT","","",N,N],[17,"F64X2_LT","","",N,N],[17,"I8X16_LE_S","","",N,N],[17,"I8X16_LE_U","","",N,N],[17,"I16X8_LE_S","","",N,N],[17,"I16X8_LE_U","","",N,N],[17,"I32X4_LE_S","","",N,N],[17,"I32X4_LE_U","","",N,N],[17,"I64X2_LE_S","","",N,N],[17,"I64X2_LE_U","","",N,N],[17,"F32X4_LE","","",N,N],[17,"F64X2_LE","","",N,N],[17,"I8X16_GT_S","","",N,N],[17,"I8X16_GT_U","","",N,N],[17,"I16X8_GT_S","","",N,N],[17,"I16X8_GT_U","","",N,N],[17,"I32X4_GT_S","","",N,N],[17,"I32X4_GT_U","","",N,N],[17,"I64X2_GT_S","","",N,N],[17,"I64X2_GT_U","","",N,N],[17,"F32X4_GT","","",N,N],[17,"F64X2_GT","","",N,N],[17,"I8X16_GE_S","","",N,N],[17,"I8X16_GE_U","","",N,N],[17,"I16X8_GE_S","","",N,N],[17,"I16X8_GE_U","","",N,N],[17,"I32X4_GE_S","","",N,N],[17,"I32X4_GE_U","","",N,N],[17,"I64X2_GE_S","","",N,N],[17,"I64X2_GE_U","","",N,N],[17,"F32X4_GE","","",N,N],[17,"F64X2_GE","","",N,N],[17,"F32X4_NEG","","",N,N],[17,"F64X2_NEG","","",N,N],[17,"F32X4_ABS","","",N,N],[17,"F64X2_ABS","","",N,N],[17,"F32X4_MIN","","",N,N],[17,"F64X2_MIN","","",N,N],[17,"F32X4_MAX","","",N,N],[17,"F64X2_MAX","","",N,N],[17,"F32X4_ADD","","",N,N],[17,"F64X2_ADD","","",N,N],[17,"F32X4_SUB","","",N,N],[17,"F64X2_SUB","","",N,N],[17,"F32X4_DIV","","",N,N],[17,"F64X2_DIV","","",N,N],[17,"F32X4_MUL","","",N,N],[17,"F64X2_MUL","","",N,N],[17,"F32X4_SQRT","","",N,N],[17,"F64X2_SQRT","","",N,N],[17,"F32X4_CONVERT_S_I32X4","","",N,N],[17,"F32X4_CONVERT_U_I32X4","","",N,N],[17,"F64X2_CONVERT_S_I64X2","","",N,N],[17,"F64X2_CONVERT_U_I64X2","","",N,N],[17,"I32X4_TRUNC_S_F32X4_SAT","","",N,N],[17,"I32X4_TRUNC_U_F32X4_SAT","","",N,N],[17,"I64X2_TRUNC_S_F64X2_SAT","","",N,N],[17,"I64X2_TRUNC_U_F64X2_SAT","","",N,N],[6,"NameMap","parity_wasm::elements","A map from indices to names.",N,N],[8,"Deserialize","","Deserialization from serial i/o",N,N],[16,"Error","","Serialization error produced by deserialization routine.",58,N],[10,"deserialize","","Deserialize type from serial i/o",58,[[["r"]],["result"]]],[8,"Serialize","","Serialization to serial i/o. Takes self by value to consume less memory (parity-wasm IR is being partially freed by filling the result buffer).",N,N],[16,"Error","","Serialization error produced by serialization routine.",59,N],[10,"serialize","","Serialize type to serial i/o",59,[[["self"],["w"]],["result"]]],[11,"fmt","","",13,[[["self"],["formatter"]],["result"]]],[11,"clone","","",13,[[["self"]],["error"]]],[11,"fmt","","",13,[[["self"],["formatter"]],["result"]]],[11,"description","","",13,[[["self"]],["str"]]],[11,"deserialize","","",1,[[["r"]],["result"]]],[0,"builder","parity_wasm","Various builders to generate/alter wasm components",N,N],[3,"SignatureBuilder","parity_wasm::builder","Signature builder",N,N],[3,"SignaturesBuilder","","Multiple signatures builder",N,N],[3,"FunctionBuilder","","Function definition builder",N,N],[3,"TypeRefBuilder","","Type (signature) reference builder (for function/import/indirect call)",N,N],[3,"FuncBodyBuilder","","Function body (code) builder",N,N],[3,"FunctionDefinition","","Function definition (extended structure to specify function entirely, incl. signature, mainness and code)",N,N],[12,"is_main","","Is this function is start function",60,N],[12,"signature","","Signature description",60,N],[12,"code","","Body (code) of the function",60,N],[3,"DataSegmentBuilder","","Data segment builder",N,N],[3,"ExportBuilder","","Export entry builder",N,N],[3,"ExportInternalBuilder","","Internal mapping builder for export entry",N,N],[3,"GlobalBuilder","","Global builder",N,N],[3,"ImportBuilder","","Import builder",N,N],[3,"Identity","","Identity chain element",N,N],[3,"MemoryBuilder","","Memory and static regions builder",N,N],[3,"ModuleBuilder","","Module builder",N,N],[3,"TableBuilder","","Table builder",N,N],[3,"TableDefinition","","Table definition",N,N],[12,"min","","Minimum length",61,N],[12,"max","","Maximum length, if any",61,N],[12,"elements","","Element segments, if any",61,N],[3,"TableEntryDefinition","","Table elements entry definition",N,N],[12,"offset","","Offset initialization expression",62,N],[12,"values","","Values of initialization",62,N],[5,"signatures","","New builder of signature list",N,[[],["signaturesbuilder"]]],[5,"signature","","New signature builder",N,[[],["signaturebuilder"]]],[5,"function","","New builder of function (signature & body)",N,[[],["functionbuilder"]]],[5,"export","","New builder for export entry",N,[[],["exportbuilder"]]],[5,"global","","New builder for export entry",N,[[],["globalbuilder"]]],[5,"import","","New builder for import entry",N,[[],["importbuilder"]]],[5,"module","","Start new module builder # Examples",N,[[],["modulebuilder"]]],[5,"from_module","","Start builder to extend existing module",N,[[["module"]],["modulebuilder"]]],[11,"new","","New empty module builder",63,[[],["self"]]],[11,"with_callback","","New module builder with bound callback",63,[[["f"]],["self"]]],[11,"with_module","","Builder from raw module",63,[[["self"],["module"]],["self"]]],[11,"with_sections","","Fill module with sections from iterator",63,[[["self"],["i"]],["self"]]],[11,"with_section","","Add additional section",63,[[["self"],["section"]],["self"]]],[11,"with_signatures","","Binds to the type section, creates additional types when required",63,[[["self"],["vec",["signature"]]],["self"]]],[11,"push_function","","Push stand-alone function definition, creating sections, signature and code blocks in corresponding sections. `FunctionDefinition` can be build using `builder::function` builder",63,[[["self"],["functiondefinition"]],["codelocation"]]],[11,"push_memory","","Push linear memory region",63,[[["self"],["memorydefinition"]],["u32"]]],[11,"push_table","","Push table",63,[[["self"],["tabledefinition"]],["u32"]]],[11,"push_signature","","Push one function signature, returning it's calling index. Can create corresponding type in type section.",63,[[["self"],["signature"]],["u32"]]],[11,"push_signatures","","Push signatures in the module, returning corresponding indices of pushed signatures",63,[[["self"],["vec",["signature"]]],["vec",["u32"]]]],[11,"push_import","","Push import entry to module. Not that it does not update calling indices in function bodies.",63,[[["self"],["importentry"]],["u32"]]],[11,"push_export","","Push export entry to module.",63,[[["self"],["exportentry"]],["u32"]]],[11,"function","","Add new function using dedicated builder",63,[[["self"]],["functionbuilder"]]],[11,"memory","","Add new linear memory using dedicated builder",63,[[["self"]],["memorybuilder"]]],[11,"table","","Add new table using dedicated builder",63,[[["self"]],["tablebuilder"]]],[11,"functions","","Define functions section",63,[[["self"]],["signaturesbuilder"]]],[11,"with_export","","With inserted export entry",63,[[["self"],["exportentry"]],["self"]]],[11,"with_import","","With inserted import entry",63,[[["self"],["importentry"]],["self"]]],[11,"import","","Import entry builder # Examples ``` use parity_wasm::builder::module;",63,[[["self"]],["importbuilder"]]],[11,"with_global","","With global variable",63,[[["self"],["globalentry"]],["self"]]],[11,"with_table","","With table",63,[[["self"],["tabletype"]],["self"]]],[11,"export","","Export entry builder # Examples ``` use parity_wasm::builder::module; use parity_wasm::elements::Instruction::*;",63,[[["self"]],["exportbuilder"]]],[11,"global","","Glboal entry builder # Examples ``` use parity_wasm::builder::module; use parity_wasm::elements::Instruction::*;",63,[[["self"]],["globalbuilder"]]],[11,"with_data_segment","","Add data segment to the builder",63,[[["self"],["datasegment"]],["self"]]],[11,"data","","Data entry builder",63,[[["self"]],["datasegmentbuilder"]]],[11,"build","","Build module (final step)",63,N],[11,"new","","New signature builder",64,[[],["self"]]],[11,"with_callback","","New builder with callback function specified",64,[[["f"]],["self"]]],[11,"with_param","","Add argument to signature builder",64,[[["self"],["valuetype"]],["self"]]],[11,"with_params","","Add multiple arguments to signature builder",64,[[["self"],["vec",["valuetype"]]],["self"]]],[11,"with_return_type","","Override signature return type",64,[[["self"],["option",["valuetype"]]],["self"]]],[11,"param","","Start build new argument",64,[[["self"]],["valuetypebuilder"]]],[11,"params","","Start build multiple arguments",64,[[["self"]],["valuetypesbuilder"]]],[11,"return_type","","Start building return type",64,[[["self"]],["optionalvaluetypebuilder"]]],[11,"build","","Finish current builder",64,N],[11,"build_sig","","Finish current builder returning intermediate `Signature` struct",64,[[["self"]],["signature"]]],[11,"with_callback","","New builder chained with specified callback",65,[[["f"]],["self"]]],[11,"val","","Set/override of type reference",65,[[["self"],["u32"]],["self"]]],[11,"build","","Finish current builder",65,N],[11,"new","","New empty functions section builder",66,[[],["self"]]],[11,"with_callback","","New builder chained with specified callback",66,[[["f"]],["self"]]],[11,"with_signature","","Push new signature into the builder output",66,[[["self"],["signature"]],["self"]]],[11,"type_ref","","Start building new signature with `TypeRefBuilder`",66,[[["self"]],["typerefbuilder"]]],[11,"signature","","Start building new signature with dedicated builder",66,[[["self"]],["signaturebuilder"]]],[11,"build","","Finalize builder spawning element",66,N],[11,"bind","","Bind signature list",66,N],[11,"with_callback","","New body (code) builder given the chain callback",67,[[["f"]],["self"]]],[11,"with_func","","Set/override entirely with FuncBody struct",67,[[["self"],["funcbody"]],["self"]]],[11,"with_locals","","Extend function local list with new entries",67,[[["self"],["vec",["local"]]],["self"]]],[11,"with_instructions","","Set code of the function",67,[[["self"],["instructions"]],["self"]]],[11,"build","","Finish current builder spawning resulting struct",67,N],[11,"default","","",60,[[],["self"]]],[11,"new","","New function builder",68,[[],["self"]]],[11,"with_callback","","New function builder with chained callback",68,[[["f"]],["self"]]],[11,"main","","Set that this function is main entry point",68,[[["self"]],["self"]]],[11,"signature","","Start signature builder of the function",68,[[["self"]],["signaturebuilder"]]],[11,"with_signature","","Override current signature entirely with new one from known struct",68,[[["self"],["signature"]],["self"]]],[11,"body","","Start code (body) builder",68,[[["self"]],["funcbodybuilder"]]],[11,"with_body","","Set body (code) for this function",68,[[["self"],["funcbody"]],["self"]]],[11,"build","","Finalize current builder spawning resulting struct in the callback",68,N],[11,"new","","New import builder",69,[[],["self"]]],[11,"with_callback","","New import builder with callback (in chained context)",69,[[["f"]],["self"]]],[11,"module","","Set/override module name",69,[[["self"],["str"]],["self"]]],[11,"field","","Set/override field name",69,[[["self"],["str"]],["self"]]],[11,"path","","Set/override both module name and field name",69,[[["self"],["str"],["str"]],["self"]]],[11,"with_external","","Set/override external mapping for this import",69,[[["self"],["external"]],["self"]]],[11,"external","","Start new external mapping builder",69,[[["self"]],["importexternalbuilder"]]],[11,"build","","Finalize current builder spawning the resulting struct",69,N],[11,"new","","New memory builder",70,[[],["self"]]],[11,"with_callback","","New memory builder with callback (in chained context)",70,[[["f"]],["self"]]],[11,"with_min","","Set/override minimum size",70,[[["self"],["u32"]],["self"]]],[11,"with_max","","Set/override maximum size",70,[[["self"],["option",["u32"]]],["self"]]],[11,"with_data","","Push new static region with initialized offset expression and raw bytes",70,[[["self"],["u32"],["vec",["u8"]]],["self"]]],[11,"build","","Finalize current builder, spawning resulting struct",70,N],[11,"fmt","","",61,[[["self"],["formatter"]],["result"]]],[11,"eq","","",61,[[["self"],["tabledefinition"]],["bool"]]],[11,"ne","","",61,[[["self"],["tabledefinition"]],["bool"]]],[11,"fmt","","",62,[[["self"],["formatter"]],["result"]]],[11,"eq","","",62,[[["self"],["tableentrydefinition"]],["bool"]]],[11,"ne","","",62,[[["self"],["tableentrydefinition"]],["bool"]]],[11,"new","","New table builder",71,[[],["self"]]],[11,"with_callback","","New table builder with callback in chained context",71,[[["f"]],["self"]]],[11,"with_min","","Set/override minimum length",71,[[["self"],["u32"]],["self"]]],[11,"with_max","","Set/override maximum length",71,[[["self"],["option",["u32"]]],["self"]]],[11,"with_element","","Generate initialization expression and element values on specified index",71,[[["self"],["u32"],["vec",["u32"]]],["self"]]],[11,"build","","Finalize current builder spawning resulting struct",71,N],[11,"default","","",61,[[],["self"]]],[11,"new","","New export builder",72,[[],["self"]]],[11,"with_callback","","New export entry builder in the specified chained context",72,[[["f"]],["self"]]],[11,"field","","Set the field name of the export entry",72,[[["self"],["str"]],["self"]]],[11,"with_internal","","Specify the internal module mapping for this entry",72,[[["self"],["internal"]],["self"]]],[11,"internal","","Start the internal builder for this export entry",72,[[["self"]],["exportinternalbuilder"]]],[11,"build","","Finalize export entry builder spawning the resulting struct",72,N],[11,"with_callback","","New export entry internal mapping for the chained context",73,[[["f"]],["self"]]],[11,"func","","Map to function by index",73,N],[11,"memory","","Map to memory",73,N],[11,"table","","Map to table",73,N],[11,"global","","Map to global",73,N],[11,"new","","New global builder",74,[[],["self"]]],[11,"with_callback","","New global builder with callback (in chained context)",74,[[["f"]],["self"]]],[11,"with_type","","Set/override resulting global type",74,[[["self"],["valuetype"]],["self"]]],[11,"mutable","","Set mutabilty to true",74,[[["self"]],["self"]]],[11,"init_expr","","Set initialization expression instruction for this global (`end` instruction will be added automatically)",74,[[["self"],["instruction"]],["self"]]],[11,"value_type","","Start value type builder",74,[[["self"]],["valuetypebuilder"]]],[11,"build","","Finalize current builder spawning resulting struct",74,N],[11,"new","","New data segment builder",75,[[],["self"]]],[11,"with_callback","","New data segment builder inside the chain context",75,[[["f"]],["self"]]],[11,"offset","","Set offset initialization instruction. `End` instruction will be added automatically.",75,[[["self"],["instruction"]],["self"]]],[11,"value","","Set the bytes value of the segment",75,[[["self"],["vec",["u8"]]],["self"]]],[11,"build","","Finish current builder, spawning resulting struct",75,N]],"paths":[[3,"CountedListWriter"],[3,"Unparsed"],[4,"ImportCountType"],[4,"Section"],[4,"External"],[4,"Internal"],[4,"Type"],[4,"ValueType"],[4,"BlockType"],[4,"TableElementType"],[4,"Instruction"],[4,"NameSection"],[4,"RelocationEntry"],[4,"Error"],[3,"VarUint32"],[3,"VarUint64"],[3,"VarUint7"],[3,"VarInt7"],[3,"Uint8"],[3,"VarInt32"],[3,"VarInt64"],[3,"Uint32"],[3,"Uint64"],[3,"VarUint1"],[3,"CountedList"],[3,"CountedWriter"],[3,"Module"],[3,"CustomSection"],[3,"TypeSection"],[3,"ImportSection"],[3,"FunctionSection"],[3,"TableSection"],[3,"MemorySection"],[3,"GlobalSection"],[3,"ExportSection"],[3,"CodeSection"],[3,"ElementSection"],[3,"DataSection"],[3,"FunctionType"],[3,"GlobalType"],[3,"TableType"],[3,"ResizableLimits"],[3,"MemoryType"],[3,"ImportEntry"],[3,"ExportEntry"],[3,"GlobalEntry"],[3,"Instructions"],[3,"InitExpr"],[3,"Func"],[3,"Local"],[3,"FuncBody"],[3,"ElementSegment"],[3,"DataSegment"],[3,"IndexMap"],[3,"ModuleNameSection"],[3,"FunctionNameSection"],[3,"LocalNameSection"],[3,"RelocSection"],[8,"Deserialize"],[8,"Serialize"],[3,"FunctionDefinition"],[3,"TableDefinition"],[3,"TableEntryDefinition"],[3,"ModuleBuilder"],[3,"SignatureBuilder"],[3,"TypeRefBuilder"],[3,"SignaturesBuilder"],[3,"FuncBodyBuilder"],[3,"FunctionBuilder"],[3,"ImportBuilder"],[3,"MemoryBuilder"],[3,"TableBuilder"],[3,"ExportBuilder"],[3,"ExportInternalBuilder"],[3,"GlobalBuilder"],[3,"DataSegmentBuilder"]]};
initSearch(searchIndex);
